unit Test;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, ExtCtrls, DBCtrls, Grids, DBGrids, StdCtrls,
  SqlitePassDbo, MasterDetail, SqlitePassMasterDetailFieldsDialog,
  SqlitePassDataTypesDialog, SqlitePassCustomFieldDefsDialog, Menus;

type
  TForm1 = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    DsCarsDescriptions: TDataSource;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    DatasetCarsDescriptions: TSqlitePassDataset;
    ChangeSql1: TButton;
    ChangeSql2: TButton;
    BtnFilter: TButton;
    DatasetCarsNames: TSqlitePassDataset;
    BtnMasterFields: TButton;
    BtnMasterDetail: TButton;
    Button7: TButton;
    BtFieldDefsInfo: TButton;
    BtLocate: TButton;
    Button8: TButton;
    DbCars: TSqlitePassDatabase;
    StoreToDatabase: TButton;
    LoadFromDatabase: TButton;
    Button9: TButton;
    Button10: TButton;
    BtCreateDatabase: TButton;
    DsCarsNames: TDataSource;
    DBGrid2: TDBGrid;
    DatasetCompanies: TSqlitePassDataset;
    DatasetCarsDescriptionsid: TIntegerField;
    DatasetCarsDescriptionsname: TIntegerField;
    DatasetCarsDescriptionscompany: TIntegerField;
    DatasetCarsDescriptionsbuildfrom: TDateField;
    DatasetCarsDescriptionsbuildto: TDateField;
    DatasetCarsDescriptionscomments: TStringField;
    DatasetCarsDescriptionspicture: TBlobField;
    DatasetCarsDescriptionspricerangelow: TFloatField;
    DatasetCarsDescriptionspricerangehigh: TFloatField;
    DatasetCarsDescriptionsenginetype: TIntegerField;
    DatasetCarsDescriptionsenginesize: TFloatField;
    DatasetCarsDescriptionslastupdatedatetime: TDateTimeField;
    DatasetCarsDescriptionslastupdatetime: TTimeField;
    DatasetCarsDescriptionslastupdatedate: TDateField;
    DatasetCarsDescriptionsfueleconomy: TFloatField;
    DatasetCarsDescriptionshorsepower: TIntegerField;
    DatasetCarsNamesid: TIntegerField;
    DatasetCarsNamescompanycode: TIntegerField;
    DatasetCarsNamesname: TStringField;
    DatasetCompaniesid: TIntegerField;
    DatasetCompaniesname: TStringField;
    DatasetCompaniesnationality: TStringField;
    DsCompanies: TDataSource;
    DBLookupComboBox1: TDBLookupComboBox;
    DBGrid3: TDBGrid;
    DatasetCompaniesLookup: TSqlitePassDataset;
    IntegerField1: TIntegerField;
    StringField1: TStringField;
    StringField2: TStringField;
    DsCompaniesLookup: TDataSource;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure DatasetCarsDescriptionsCalcFields(DataSet: TDataSet);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure ChangeSql2Click(Sender: TObject);
    procedure ChangeSql1Click(Sender: TObject);
    procedure BtnFilterClick(Sender: TObject);
    procedure BtnMasterFieldsClick(Sender: TObject);
    procedure BtnMasterDetailClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure DatasetCarsDescriptionsFilterRecord(DataSet: TDataSet;
      var Accept: Boolean);
    procedure BtFieldDefsInfoClick(Sender: TObject);
    procedure BtLocateClick(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure StoreToDatabaseClick(Sender: TObject);
    procedure LoadFromDatabaseClick(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure BtCreateDatabaseClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  SqlitePassDatabase_1: TSqlitePassDatabase;
  SqlitePassDataset_1: TSqlitePassDataset;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin

//Self.WindowState := wsMaximized;
//BtnFilterClick(Self);
(*SqlitePassDatabase_1 := TSqlitePassDatabase.Create(Self);
SqlitePassDatabase_1.Name := 'DbCars';
SqlitePassDatabase_1.Database := 'C:\MyLazarus\Components\SQLitePass\Demo\Databases\Copie (2) de Cars.kexi';
//SqlitePassDatabase_1.Database := 'C:\MyLazarus\Components\SQLitePass\Demo\Databases\EmptyTable.kexi';
//SqlitePassDatabase_1.Database := 'C:\MyLazarus\SQLitePass\Demo\Databases\Copie (2) de Cars.kexi';
SqlitePassDataset_1 := TSqlitePassDataset.Create(Self);
SqlitePassDataset_1.Name := 'DatasetCarsDescriptions';
SqlitePassDataset_1.Database := SqlitePassDatabase_1;
SqlitePassDataset_1.DatasetName := 'cars_descriptions';
DsCarsDescriptions.DataSet := SqlitePassDataset_1;*)
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
DbCars.Connected := False;
end;

procedure TForm1.DatasetCarsDescriptionsCalcFields(DataSet: TDataSet);
begin
//DatasetCarsDescriptionsCalc1.Value := 'C1 Row = '+ IntToStr(DatasetCarsDescriptions.RecNo);
//DatasetCarsDescriptionsCalc2.Value := 'C2 Row = '+ IntToStr(DatasetCarsDescriptions.RecNo);
(*DatasetCarsDescriptions.DebugScreen.Lines.Add('');
DatasetCarsDescriptions.DebugScreen.Lines.Add('   >> TForm - CalcFields '+ IntToStr(DatasetCarsDescriptions.RecNo));
DatasetCarsDescriptions.DebugScreen.Lines.Add('');*)
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
DsCarsDescriptions.DataSet.Close;
DsCarsDescriptions.DataSet.Fields.Clear;
end;

procedure TForm1.Button3Click(Sender: TObject);
var
R: Boolean;
begin
DsCarsDescriptions.DataSet.Open;
DatasetCarsDescriptions.ReadOnly := False;
R := DatasetCarsDescriptions.ReadOnly;
end;

procedure TForm1.Button4Click(Sender: TObject);
var
NewField: TField;
IsOpen: Boolean;
begin
IsOpen := DsCarsDescriptions.DataSet.Active;
DsCarsDescriptions.DataSet.Close;

NewField := TIntegerField.Create(DsCarsDescriptions.DataSet);
NewField.FieldName := 'name';
NewField.Name := 'Field_Name';
NewField.DataSet := DsCarsDescriptions.DataSet;

NewField := TStringField.Create(DsCarsDescriptions.DataSet);
NewField.FieldName := 'EssaiNewField_'+IntToStr(DsCarsDescriptions.DataSet.Fields.Count);
NewField.DisplayWidth := 20;
NewField.FieldKind := fkCalculated;
NewField.DataSet := DsCarsDescriptions.DataSet;

NewField := TStringField.Create(DsCarsDescriptions.DataSet);
NewField.FieldName := 'EssaiNewField_'+IntToStr(DsCarsDescriptions.DataSet.Fields.Count);
NewField.Size := 10;
NewField.Calculated := True;
NewField.DataSet := DsCarsDescriptions.DataSet;
{ You don't have to use DsCarsDescriptions.DataSet.Fields.Add(NewField)
  because setting NewField.Dataset will do it }
DsCarsDescriptions.DataSet.Active := IsOpen;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
DsCarsDescriptions.DataSet.Refresh;
end;
(*
Fields stored in dfm are always created when form is created
even if dataset is closed
*)
procedure TForm1.Button6Click(Sender: TObject);
var
F: TField;
i: Integer;
begin
{ This work only if fields are not defaultfields }
i := Pred(DsCarsDescriptions.DataSet.Fields.Count);
if (i > -1) and Not DsCarsDescriptions.Dataset.DefaultFields
   then begin
        F := DsCarsDescriptions.DataSet.Fields[i];
        { This will close the dataset and remove the field from
          the Fieldlist and free the field }
        F.Destroy;
        DsCarsDescriptions.DataSet.Open;
        end;
end;

procedure TForm1.ChangeSql1Click(Sender: TObject);
begin
DbCars.Close;
DbCars.Database := 'C:\MyLazarus\Components\SQLitePass\Demo\Databases\Copie (2) de Cars.kexi';
DbCars.Open;
DatasetCarsDescriptions.DatasetName := 'cars_descriptions';
DatasetCarsDescriptions.Open;
end;


procedure TForm1.ChangeSql2Click(Sender: TObject);
begin
DbCars.Close;
DbCars.Database := 'C:\MyLazarus\Components\SQLitePass\Demo\Databases\Copie (2) de Cars.kexi';
DbCars.Open;
DatasetCarsDescriptions.Sql.Text := 'Select * from companies;';
DatasetCarsDescriptions.Open;
end;

procedure TForm1.BtnFilterClick(Sender: TObject);
begin
DatasetCarsDescriptions.FilterRecordLowerLimit := 1;
DatasetCarsDescriptions.FilterRecordUpperLimit := 10;
DatasetCarsDescriptions.Filtered := True;
end;

procedure TForm1.BtnMasterFieldsClick(Sender: TObject);
var
F: TForm;
begin
//DatasetCarsNames.MasterSource := DsCarsDescriptions;
//DatasetCarsNames.MasterSource.Fie

F := TSqlitePassMasterDetailDialog.Create(Self, DatasetCarsNames);
F.ShowModal;
F.Free;
end;

procedure TForm1.BtnMasterDetailClick(Sender: TObject);
var
F: TFormMasterDetail;
begin
F := TFormMasterDetail.Create(Self);
F.ShowModal;
F.Free;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
DbCars.Close;
end;

procedure TForm1.DatasetCarsDescriptionsFilterRecord(DataSet: TDataSet;
  var Accept: Boolean);
var
i: Integer;
s: string;
begin
for i := 0 to Pred(Dataset.Fields.Count) do
    s := Dataset.Fields[i].AsString;
Accept := Dataset.FieldByName('company').value = 1;
//Accept := True;
end;

procedure TForm1.BtFieldDefsInfoClick(Sender: TObject);
//var
//F: TSqlitePassFieldDefsDialog;
begin
{F := TSqlitePassFieldDefsDialog.Create(Nil, DatasetCarsDescriptions);
F.ShowModal;
F.Free;}
end;

procedure TForm1.BtLocateClick(Sender: TObject);
begin
DatasetCarsNames.Locate('companycode;name',VarArrayOf(['2','Essai 7']),[]);
end;

procedure TForm1.Button8Click(Sender: TObject);
var
F: TSqlitePassDataTypesDlg;
begin
F := TSqlitePassDataTypesDlg.Create(Self);
F.ShowModal;
F.Free;
end;

procedure TForm1.StoreToDatabaseClick(Sender: TObject);
begin
DbCars.DatatypeOptions.SaveToDatabase([soProperties, soTranslationRules, soCustomFieldDefs]);
end;

procedure TForm1.LoadFromDatabaseClick(Sender: TObject);
begin
DbCars.DatatypeOptions.LoadFromDatabase([soProperties, soTranslationRules, soCustomFieldDefs]);
end;

procedure TForm1.Button9Click(Sender: TObject);
var
F: TSqlitePassCustomFieldDefsDlg;
begin
F := TSqlitePassCustomFieldDefsDlg.Create(DbCars);
F.ShowModal;
F.Free;
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
DatasetCarsDescriptions.Close;
end;

procedure TForm1.BtCreateDatabaseClick(Sender: TObject);
begin
(*if Not FileExists('NewDb.db3')
   then DbCars.CreateDatabase('NewDb.db3');*)

DbCars.Close;
DbCars.Database := 'NewDb.db3';
DbCars.Open;
DbCars.TableDefs.CreateTable(
'CREATE TABLE [SampleTable] ( [AutoIncField] AUTOINC, [BinIntField] BIGINT,' +
'[BinaryField] BINARY, [BlobField] BLOB, [BooleanField] BOOLEAN, [CharField] CHAR,' +
'[ClobField] CLOB, [CurrencyField] CURRENCY, [DateField] DATE, [DateTextField] DATE,' +
'[DateTimeField] DATETIME, [DecField] DEC, [DecimalField] DECIMAL, [DoubleField] DOUBLE,' +
'[DoublePrecisionField] DOUBLE PRECISION, [FloatField] FLOAT, [GaphicField] GRAPHIC,'+
'[GuidField] GUID, [IntField] INT, [Int64Field] INT64);');
DatasetCarsDescriptions.DatasetName := 'SampleTable';
DatasetCarsDescriptions.Open;
end;

end.

           