var s = new Array()

s[0] = "Introduction^Introduction.html^User Guide^     <p><b>Version 0.41</b> <b>Last Revision 2009-01-10</b>    <p>The SqlitePass components project planes to provide a easy and fast access to sqlite databases. The Installation packages will install two components in the IDE : </p>    <ul class=\"paragraph_spacing\">    <li><p>A Database Component (<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html\">TSqlitePassDatabase</a>)</p></li>    <li><p>A Dataset Component (<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html\">TSqlitePassDataset</a>)</p></li>  </ul>    <p>    <p><br> At the moment, these components partially support reading from / writing to databases created with : </p>    <ul class=\"paragraph_spacing\">    <li><p>The Kexi project (for Linux and Windows)</p></li>    <li><p>The Sqlite Expert (for Windows)</p></li>    <li><p>SQLite Administrator (Database manager for Windows)</p></li>    <li><p>Sqlite4Fpc (Database component for FPC)</p></li>    <li><p>SqliteToolbox (The demo program included with SqlitePass components, for windows and Linux)</p></li>    <li><p>or your own custom sqlite database using Database.DataTypeOptions (<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html\">TSqlitePassDatabaseDataTypeOptions</a>)</p></li>  </ul>    <p> <br> <br> <i>This project is open source, released under LGPL license.</i> <br> <i>Libraries and components are free and currently tested with Delphi 4 &amp; 6 - Lazarus 0.9.26  FPC 2.2.2</i> <br> <br> The library will not be considered as &quot;stable&quot; until the 1.0 release. Let me know in you want to use those components with other Delphi versions. <br> <br> <br> <ol>  <li><a href=\"#_PackagesInstallation\">Packages Installation</a>  <ol>  <li><a href=\"#_PackagesInstallationDelphi\">Packages Installation for Delphi users</a>  </li>  <li><a href=\"#_PackagesInstallationLazarus\">Packages Installation for Lazarus users  (>=0.9.20)</a>  </li>  </ol>  </li>  <li><a href=\"#_QuickStart\">Quick Start</a>  <ol>  <li><a href=\"#_QuickStartDemoApp\">A Demo application : SqliteToolbox</a>  </li>  <li><a href=\"#_QuickStartSampleApp\">A simple application</a>  </li>  </ol>  </li>  <li><a href=\"#_PackagesDescription\">Packages Description - Content of /SQLitePass_x.xx Directory</a>  <ol>  <li><a href=\"#_SQLitePassDemoDirectory\">Content of /Demo Directory</a>  </li>  <li><a href=\"#_SQLitePassDocumentationDirectory\">Content of /Documentation Directory</a>  </li>  <li><a href=\"#_SQLitePassPackagesDirectory\">Content of /Packages Directory</a>  </li>  <li><a href=\"#_SQLitePassSourceDirectory\">Content of /Sources Directory</a>  <ol>  <li><a href=\"#_SQLitePassSourceDesignTimeDirectory\">Content of /Sources/DesignTimeEditors</a>  </li>  </ol>  </li>  </ol>  </li>  </ol>   <br> <br> <br> <h2 class=\"\"><a name=\"_PackagesInstallation\"></a>Packages Installation</h2>   <b>From version 0.28, SqlitePass uses a special Sqlite library version (sqlitepass3.dll or libsqlitepass3.so) as the default sqlite library</b> <br> <br> This library exports the following functions to get schema information from an sql statement : <br> </p>    <ul class=\"paragraph_spacing\">    <li><p>sqlite3_column_database_name</p></li>    <li><p>sqlite3_column_database_name16</p></li>    <li><p>sqlite3_column_table_name</p></li>    <li><p>sqlite3_column_table_name16</p></li>    <li><p>sqlite3_column_origin_name</p></li>    <li><p>sqlite3_column_origin_name16</p></li>    <li><p>sqlite3_table_column_metadata</p></li>  </ul>    <p> <br> The compiled win32 (sqlitepass3.dll) and the Linux-i386 (libsqlitepass3.so) versions of this library are included in ..\\SQLitePass\\SqliteLibrary. A tutorial on how to compile the library is available on the SqlitePass website. This file (sqlite3.dll or sqlite3.so) should be placed in a system directory, ..\\Windows\\system32 for example. <br> <br> <h3 class=\"\"><a name=\"_PackagesInstallationDelphi\"></a>Packages Installation for Delphi users</h3>   <b>Delphi users (Delphi 4 example. Should apply for further Delphi versions) :</b> <br> </p>    <ol class=\"paragraph_spacing\">    <li value=\"1\"><p>Uninstall any previous version of <a class=\"normal\"  href=\"SqlitePassDbo.html\">SqlitePassDbo</a> components : Choose [Components] [Install Packages] from IDE menu.</p></li>    <li value=\"2\"><p>Select the SqlitePass package and click Remove.</p></li>    <li value=\"3\"><p>Compile Runtime package : Choose [File] [Open] from the IDE menu and select ..\\SQLitePass\\Packages\\Delphi4\\D4_SqlitePassDbo_Runtime.dpk. Compile this package and move the resulting file from SQLitePass_vX.XX\\Packages\\Delphi4\\D4_SqlitePassDbo_Runtime.bpl to a directory inluded in the Delphi search path (like ..\\Delphi4\\Bin or ..\\Windows\\system32 for example). Delete or overwrite any previous D4_SqlitePassDbo_Runtime.bpl.</p></li>    <li value=\"4\"><p>Compile and install Designtime package : Choose [File] [Open] from the IDE menu and select ..\\SQLitePass\\Packages\\Delphi4\\D4_SqlitePassDbo_Designtime.dpk. Compile this package, then choose install.</p></li>    <li value=\"5\"><p>Check installation : Select <a class=\"normal\"  href=\"SqlitePassDbo.html\">SqlitePassDbo</a> on component palette pages and drop a SqlitePassDatabase and a SqlitePassDataset on a new form. Check the components versions are correct in object inspector.</p></li>  </ol>    <p> <br> <br> <h3 class=\"\"><a name=\"_PackagesInstallationLazarus\"></a>Packages Installation for Lazarus users  (&gt;=0.9.20)</h3>   </p>    <ol class=\"paragraph_spacing\">    <li value=\"1\"><p>Uninstall any previous version of <a class=\"normal\"  href=\"SqlitePassDbo.html\">SqlitePassDbo</a> components : Choose [Components] [Configure Installed Packages] from IDE menu</p></li>    <li value=\"2\"><p>Select the Laz_SqlitePassDbo_Runtime and Laz_SqlitePassDbo_Designtime packages and click [Uninstall the selection] then [Save and quit the dialog].</p></li>    <li value=\"3\"><p>Compile Runtime package : Choose [Components] [Open Package file] from IDE menu and select ..\\SQLitePass\\Packages\\Lazarus\\Laz_SqlitePassDbo_Runtime.lpk. Compile this package.</p></li>    <li value=\"4\"><p>Compile and install Designtime package : Choose [File] [Open] from the IDE menu and select ..\\SQLitePass\\Packages\\Lazarus\\Laz_SqlitePassDbo_Designtime.lpk. In package dialog, Choose compile then install. This will rebuild the IDE.</p></li>    <li value=\"5\"><p>Check installation : Select <a class=\"normal\"  href=\"SqlitePassDbo.html\">SqlitePassDbo</a> on Component palette pages and drop a SqlitePassDatabase and a SqlitePassDataset on a new form. Check the components versions are correct in object inspector.</p></li>  </ol>    <p> <br> <br> <br> <h2 class=\"\"><a name=\"_QuickStart\"></a>Quick Start</h2>   <h3 class=\"\"><a name=\"_QuickStartDemoApp\"></a>A Demo application : SqliteToolbox</h3>   A demo application is available in ..\\SQLitePass_x.xx\\Demo\\Sources. <br> This application was first developped as a simple test program for the SqlitePass components. <br> <br> Du to many changes during developpement process and to avoid problems when changing properties behavior in IDE, the SqlitePassDatabase and SqlitePassDataset components are directly created by code at runtime. <br> <br> This application tests also the designtime dialogs boxes used by the IDE Object Inspector. To do so, it links directly to *.pas | *.dfm | *.lfm files stored in ..\\SQLitePass_x.xx\\Sources\\DesignTimeEditors directory.    <p>The source code is (or will be) self documented and should cover the basic usage of the components. <br> <br> <br> <h3 class=\"\"><a name=\"_QuickStartSampleApp\"></a>A simple application</h3>   Another way is to describe a simple application using SqlitePass component. <br> It could look like this : </p>    <ol class=\"paragraph_spacing\">    <li value=\"1\"><p>Place a SqlitePassDatabase component on a form,</p></li>    <li value=\"2\"><p>Choose Database file the Database property (a database *.kexi file from ..\\SQLitePass_x.xx\\Demo\\Databases for example),</p></li>    <li value=\"3\"><p>Set Connected property to True,</p></li>    <li value=\"4\"><p>Place a SqlitePassDataset component on the form</p></li>    <li value=\"5\"><p>Set Database property to the name of SqlitePassDatabase component (by default this is SqlitePassDatabase1),</p></li>    <li value=\"6\"><p>Select a dataset from the DatasetName property dialog editor,</p></li>    <li value=\"7\"><p>Set Active property to True.</p></li>    <li value=\"8\"><p>Place a standart Delphi or Lazarus DataSource component on the page,</p></li>    <li value=\"9\"><p>Set DataSet property to the name of the SqlitePassDataset component (by default this is SqlitePassDataset1)</p></li>    <li value=\"10\"><p>Place any DBAware component like DBGrid, DBNavigator...etc, on the form.</p></li>    <li value=\"11\"><p>Set DBGrid's, DBNavigator...etc, DataSource property to the name of DataSource component (by default this is DataSource1)</p></li>    <li value=\"12\"><p>This is it !</p></li>  </ol>    <p> <br> <br> <br> <h2 class=\"\"><a name=\"_PackagesDescription\"></a>Packages Description - Content of /SQLitePass_x.xx Directory</h2>   <h3 class=\"\"><a name=\"_SQLitePassDemoDirectory\"></a>Content of /Demo Directory</h3>   <b>/Databases</b> <br> Databases samples in Kexi or SqliteAdministrator format. <br>    <p><b>/Delphi4</b> <br> Demo Project files for Delphi 4 <br>    <p><b>/Lazarus</b> <br> Demo Project files for Lazarus    <p><b>/Sources</b> <br> Source files for the demo project. <br> </p>    <ul class=\"paragraph_spacing\">    <li><p>*.pas files are shared by Delphi and Lazarus projects</p></li>    <li><p>*.dfm files are used by Delphi</p></li>    <li><p>*.lfm files are used by Lazarus</p></li>  </ul>    <p> <br> <br> <h3 class=\"\"><a name=\"_SQLitePassDocumentationDirectory\"></a>Content of /Documentation Directory</h3>   <b>/UserGuide</b> <br> The file you are reading... <br> Changes.odt or Changes.pdf Latest changes  Versions history <br> <br> <br> <h3 class=\"\"><a name=\"_SQLitePassPackagesDirectory\"></a>Content of /Packages Directory</h3>   <b>Packages/Delphi4</b> <br> D4_SqlitePassDbo_Runtime.dpk <br> Runtime package. Shoul be compiled first (see the installation section) <br>    <p>D4_SqlitePassDbo_Designtime.dpk <br> Designtime package, used to : </p>    <ul class=\"paragraph_spacing\">    <li><p>Register and display components in Delphi IDE,</p></li>    <li><p>Register property editors in Delphi IDE.</p></li>  </ul>    <p> <br> <br> <b>Packages/Delphi6</b> <br> D6_SqlitePassDbo_Runtime.dpk <br> Runtime package. Shoul be compiled first (see the installation section) <br>    <p>D6_SqlitePassDbo_Designtime.dpk <br> Designtime package, used to : <br> </p>    <ul class=\"paragraph_spacing\">    <li><p>Register and display components in Delphi IDE,</p></li>    <li><p>Register property editors in Delphi IDE.</p></li>  </ul>    <p> <br> <br> <b>Packages/Delphi7</b> <br> D7_SqlitePassDbo_Runtime.dpk <br> Runtime package. Shoul be compiled first (see the installation section) <br>    <p>D7_SqlitePassDbo_Designtime.dpk <br> Designtime package, used to : <br> </p>    <ul class=\"paragraph_spacing\">    <li><p>Register and display components in Delphi IDE,</p></li>    <li><p>Register property editors in Delphi IDE.</p></li>  </ul>    <p> <br> <br> <b>Packages/Packages/Lazarus</b> <br> Laz_SqlitePassDbo_Runtime.dpk <br> Runtime package. Shoul be compiled first (see the installation section) <br>    <p>Laz_SqlitePassDbo_Designtime.dpk <br> Designtime package, used to : <br> </p>    <ul class=\"paragraph_spacing\">    <li><p>Register and display components in Delphi IDE,</p></li>    <li><p>Register property editors in Delphi IDE.</p></li>  </ul>    <p> <br> <br> <h3 class=\"\"><a name=\"_SQLitePassSourceDirectory\"></a>Content of /Sources Directory</h3>   Components source files. Sources files are shared by Delphi and Lazarus <br> SqlitePassApi_v3.pas : Loads the external Sqlite engine library (sqlitepass3.dll or libsqlitepass3.so) and registers the sqlite functions to be used by the SqlitePass components. SqlitePassDbo.inc : Include file used to define compiler settings...etc <br> SqlitePassDbo.pas : SqlitePass Database Objects interfaces definitions. Implementations are stored in </p>    <ul class=\"paragraph_spacing\">    <li><p>SlitePassDatabase.inc,</p></li>    <li><p>SqlitePassDatabaseParts.inc,</p></li>    <li><p>SqlitePassDataset..inc,</p></li>    <li><p>SqlitePassRecordset.inc,</p></li>    <li><p>SqlitePassSelectStmt.inc,</p></li>    <li><p>SqlitePassEngine.pas.</p></li>  </ul>    <p> <br> SqlitePassDbo.lrs : Lazarus ressource file used to dipslay components icons in IDE. SqlitePassConst.pas : Constant definitions <br> SqlitePassErrorLang.pas : Ressource strings for language support. To translate this file : </p>    <ul class=\"paragraph_spacing\">    <li><p>Backup the original file and translate the strings in your own language.</p></li>    <li><p>Replace the SqlitePassErrorLang.pas with your own file.</p></li>    <li><p>Compile and overwrite any existing runtime package. (see installation section).</p></li>  </ul>    <p> <br> <i>Only English file is available so far. A French one will be done shortly. Translators are welcome !</i> <br> SqlitePassKexiDef.pas : Kexi specific constants definitions SqlitePassUtils.pas : Implements a TObjectList (The code is just a copy from FCL) and other objects, mainly to provide code compatibility between Delphi 4 and Lazarus. <br> <br> <h4 class=\"\"><a name=\"_SQLitePassSourceDesignTimeDirectory\"></a>Content of /Sources/DesignTimeEditors</h4>   The ../Sources/DesignTimeEditors : Dialogs boxes to help you during design process in IDE. </p>    <ul class=\"paragraph_spacing\">    <li><p>*.pas files are shared by Delphi and Lazarus projects</p></li>    <li><p>*.dfm files are used by Delphi</p></li>    <li><p>*.lfm and *.lrs files are used by Lazarus</p></li>  </ul>    <p> <br> <br> <br> <b>Designtime Editors Files descriptions : </b> <br> <br> RegisterSqlitePassDbo.pas <br> Registers and displays components and property editors in IDE. <br> <br> SqlitePassChooseDatasetDialog.pas <br> Used by TsqlitePassDataset.Dataset property. Displays an treeview of available dataset in the current database. <br> <br> SqlitePassIndexesDialog.pas <br> Used by TsqlitepassDataset.Indexes property. Displays a dialog to manage tables indexes. <br> <br> SqlitePassCustomFieldDefsDialog.pas <br> Used by TsqlitePassDatabase.DataTypeOptions.CustomFieldDefs property. Display a dialog to manage custom field definitions <br> <br> SqlitePassFieldDefsDialog.pas <br> Used by TsqlitepassDataset.FieldDefsInfo property. Display a dialog showing field definitions of the currently selected dataset. <br> <br> SqlitePassSortByDialog.pas <br> Used by <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#SortedBy\">TsqlitepassDataset.SortedBy</a> property. Displays a dialog to select fields to be sorted . <br> <br> SqlitePassDataTypesDialog.pas <br> Used by TsqlitePassDatabase.DataTypeOptions.TranslationRules property. Display a dialog to manage TranslationRules. <br> <br> SqlitePassMasterDetailFieldsDialog.pas <br> Used by <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#MasterFields\">TsqlitepassDataset.MasterFields</a> property. Displays a dialog to link Master and Detail fields. <br> <br> SqlitePassDesignErrorLang.pas <br> Defines DesignTime error messages. <br> <br> CreateNewIndex.pas <br> Used by the indexes dialog when creating new table index. <br> <br> RenameItem.pas <br> Used by the indexes dialog when renaming a existing table index.  User's Guide for SqlitePass Database Components^0"
s[1] = "SqlitePassApi_v3^SqlitePassApi_v3.html^This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.^    <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.    <p>You should have received a copy of the GNU Lesser General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;    <p>Sqlite3 library translation for use with fpc compiler Original code from Mike Cariotoglou Email: mike@deltasingular.gr Modified by Luc DAVID Email: luckylazarus@free.fr 2006 - 2007    <p>Major changes are indicated in the \\Documentation\\changes.pdf file Last update 09.09.2007    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash; ^0"
s[2] = "SqlitePassApi_v3.SQLITE_ABORT^SqlitePassApi_v3.html#SQLITE_ABORT^Access permission denied^ ^0"
s[3] = "SqlitePassApi_v3.SQLITE_ANY^SqlitePassApi_v3.html#SQLITE_ANY^Use native byte order^ ^0"
s[4] = "SqlitePassApi_v3.SQLITE_AUTH^SqlitePassApi_v3.html#SQLITE_AUTH^Uses OS features not supported on host^ ^0"
s[5] = "SqlitePassApi_v3.SQLITE_BLOB^SqlitePassApi_v3.html#SQLITE_BLOB^^ ^0"
s[6] = "SqlitePassApi_v3.SQLITE_BUSY^SqlitePassApi_v3.html#SQLITE_BUSY^Callback routine requested an abort^ ^0"
s[7] = "SqlitePassApi_v3.SQLITE_CANTOPEN^SqlitePassApi_v3.html#SQLITE_CANTOPEN^Insertion failed because database is full^ ^0"
s[8] = "SqlitePassApi_v3.SQLITE_CONSTRAINT^SqlitePassApi_v3.html#SQLITE_CONSTRAINT^Too much data for one row of a table^ ^0"
s[9] = "SqlitePassApi_v3.SQLITE_CORRUPT^SqlitePassApi_v3.html#SQLITE_CORRUPT^Some kind of disk I/O error occurred^ ^0"
s[10] = "SqlitePassApi_v3.SQLITE_DONE^SqlitePassApi_v3.html#SQLITE_DONE^sqlite_step() has another row ready^ ^0"
s[11] = "SqlitePassApi_v3.SQLITE_EMPTY^SqlitePassApi_v3.html#SQLITE_EMPTY^Database lock protocol error^ ^0"
s[12] = "SqlitePassApi_v3.SQLITE_ERROR^SqlitePassApi_v3.html#SQLITE_ERROR^Successful result^ ^0"
s[13] = "SqlitePassApi_v3.SQLITE_FLOAT^SqlitePassApi_v3.html#SQLITE_FLOAT^^ ^0"
s[14] = "SqlitePassApi_v3.SQLITE_FORMAT^SqlitePassApi_v3.html#SQLITE_FORMAT^Authorization denied^ ^0"
s[15] = "SqlitePassApi_v3.SQLITE_FULL^SqlitePassApi_v3.html#SQLITE_FULL^(Internal Only) Table or record not found^ ^0"
s[16] = "SqlitePassApi_v3.SQLITE_INTEGER^SqlitePassApi_v3.html#SQLITE_INTEGER^sqlite_step() has finished executing^ ^0"
s[17] = "SqlitePassApi_v3.SQLITE_INTERNAL^SqlitePassApi_v3.html#SQLITE_INTERNAL^SQL error or missing database^ ^0"
s[18] = "SqlitePassApi_v3.SQLITE_INTERRUPT^SqlitePassApi_v3.html#SQLITE_INTERRUPT^Attempt to write a readonly database^ ^0"
s[19] = "SqlitePassApi_v3.SQLITE_IOERR^SqlitePassApi_v3.html#SQLITE_IOERR^Operation terminated by <a class=\"normal\"  href=\"SqlitePassApi_v3.html#SQLITE_INTERRUPT\">sqlite_interrupt</a>()^ ^0"
s[20] = "SqlitePassApi_v3.SQLITE_LOCKED^SqlitePassApi_v3.html#SQLITE_LOCKED^The database file is locked^ ^0"
s[21] = "SqlitePassApi_v3.SQLITE_MISMATCH^SqlitePassApi_v3.html#SQLITE_MISMATCH^Abort due to contraint violation^ ^0"
s[22] = "SqlitePassApi_v3.SQLITE_MISUSE^SqlitePassApi_v3.html#SQLITE_MISUSE^Data type mismatch^ ^0"
s[23] = "SqlitePassApi_v3.SQLITE_NOLFS^SqlitePassApi_v3.html#SQLITE_NOLFS^Library used incorrectly^ ^0"
s[24] = "SqlitePassApi_v3.SQLITE_NOMEM^SqlitePassApi_v3.html#SQLITE_NOMEM^A table in the database is locked^ ^0"
s[25] = "SqlitePassApi_v3.SQLITE_NOTADB^SqlitePassApi_v3.html#SQLITE_NOTADB^2nd parameter to sqlite_bind out of range^ ^0"
s[26] = "SqlitePassApi_v3.SQLITE_NOTFOUND^SqlitePassApi_v3.html#SQLITE_NOTFOUND^The database disk image is malformed^ ^0"
s[27] = "SqlitePassApi_v3.SQLITE_NULL^SqlitePassApi_v3.html#SQLITE_NULL^^ ^0"
s[28] = "SqlitePassApi_v3.SQLITE_OK^SqlitePassApi_v3.html#SQLITE_OK^&mdash;&ndash; SQLite declarations &mdash;&ndash;^ ^0"
s[29] = "SqlitePassApi_v3.SQLITE_OPEN_CREATE^SqlitePassApi_v3.html#SQLITE_OPEN_CREATE^^ ^0"
s[30] = "SqlitePassApi_v3.SQLITE_OPEN_DELETEONCLOSE^SqlitePassApi_v3.html#SQLITE_OPEN_DELETEONCLOSE^^ ^0"
s[31] = "SqlitePassApi_v3.SQLITE_OPEN_EXCLUSIVE^SqlitePassApi_v3.html#SQLITE_OPEN_EXCLUSIVE^^ ^0"
s[32] = "SqlitePassApi_v3.SQLITE_OPEN_FULLMUTEX^SqlitePassApi_v3.html#SQLITE_OPEN_FULLMUTEX^^ ^0"
s[33] = "SqlitePassApi_v3.SQLITE_OPEN_MAIN_DB^SqlitePassApi_v3.html#SQLITE_OPEN_MAIN_DB^^ ^0"
s[34] = "SqlitePassApi_v3.SQLITE_OPEN_MAIN_JOURNAL^SqlitePassApi_v3.html#SQLITE_OPEN_MAIN_JOURNAL^^ ^0"
s[35] = "SqlitePassApi_v3.SQLITE_OPEN_MASTER_JOURNAL^SqlitePassApi_v3.html#SQLITE_OPEN_MASTER_JOURNAL^^ ^0"
s[36] = "SqlitePassApi_v3.SQLITE_OPEN_NOMUTEX^SqlitePassApi_v3.html#SQLITE_OPEN_NOMUTEX^^ ^0"
s[37] = "SqlitePassApi_v3.SQLITE_OPEN_READONLY^SqlitePassApi_v3.html#SQLITE_OPEN_READONLY^** These bit values are intended for use in the 3rd parameter to the sqlite3_open_v2() ** interface and in the 4th parameter to the xOpen method of the sqlite3_vfs object.^ ^0"
s[38] = "SqlitePassApi_v3.SQLITE_OPEN_READWRITE^SqlitePassApi_v3.html#SQLITE_OPEN_READWRITE^^ ^0"
s[39] = "SqlitePassApi_v3.SQLITE_OPEN_SUBJOURNAL^SqlitePassApi_v3.html#SQLITE_OPEN_SUBJOURNAL^^ ^0"
s[40] = "SqlitePassApi_v3.SQLITE_OPEN_TEMP_DB^SqlitePassApi_v3.html#SQLITE_OPEN_TEMP_DB^^ ^0"
s[41] = "SqlitePassApi_v3.SQLITE_OPEN_TEMP_JOURNAL^SqlitePassApi_v3.html#SQLITE_OPEN_TEMP_JOURNAL^^ ^0"
s[42] = "SqlitePassApi_v3.SQLITE_OPEN_TRANSIENT_DB^SqlitePassApi_v3.html#SQLITE_OPEN_TRANSIENT_DB^^ ^0"
s[43] = "SqlitePassApi_v3.SQLITE_PERM^SqlitePassApi_v3.html#SQLITE_PERM^An internal logic error in SQLite^ ^0"
s[44] = "SqlitePassApi_v3.SQLITE_PROTOCOL^SqlitePassApi_v3.html#SQLITE_PROTOCOL^Unable to open the database file^ ^0"
s[45] = "SqlitePassApi_v3.SQLITE_RANGE^SqlitePassApi_v3.html#SQLITE_RANGE^Auxiliary database format error^ ^0"
s[46] = "SqlitePassApi_v3.SQLITE_READONLY^SqlitePassApi_v3.html#SQLITE_READONLY^A malloc() failed^ ^0"
s[47] = "SqlitePassApi_v3.SQLITE_ROW^SqlitePassApi_v3.html#SQLITE_ROW^File opened that is not a database file^ ^0"
s[48] = "SqlitePassApi_v3.SQLITE_SCHEMA^SqlitePassApi_v3.html#SQLITE_SCHEMA^(Internal Only) Database table is empty^ ^0"
s[49] = "SqlitePassApi_v3.SQLITE_STATIC^SqlitePassApi_v3.html#SQLITE_STATIC^sqlite3_create_function only^ ^0"
s[50] = "SqlitePassApi_v3.SQLITE_TEXT^SqlitePassApi_v3.html#SQLITE_TEXT^^ ^0"
s[51] = "SqlitePassApi_v3.SQLITE_TOOBIG^SqlitePassApi_v3.html#SQLITE_TOOBIG^The database schema changed^ ^0"
s[52] = "SqlitePassApi_v3.SQLITE_TRANSIENT^SqlitePassApi_v3.html#SQLITE_TRANSIENT^^ ^0"
s[53] = "SqlitePassApi_v3.SQLITE_UTF16^SqlitePassApi_v3.html#SQLITE_UTF16^^ ^0"
s[54] = "SqlitePassApi_v3.SQLITE_UTF16BE^SqlitePassApi_v3.html#SQLITE_UTF16BE^^ ^0"
s[55] = "SqlitePassApi_v3.SQLITE_UTF16LE^SqlitePassApi_v3.html#SQLITE_UTF16LE^^ ^0"
s[56] = "SqlitePassApi_v3.SQLITE_UTF8^SqlitePassApi_v3.html#SQLITE_UTF8^** These are the allowed values for the eTextRep argument to ** sqlite3_create_collation and sqlite3_create_function.^ ^0"
s[57] = "SqlitePassApi_v3.LoadFunctions^SqlitePassApi_v3.html#LoadFunctions^This function is called by <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassEngine.html\">TSqlitePassEngine</a> to load library functions^    ^0"
s[58] = "SqlitePassApi_v3.ppvalue^SqlitePassApi_v3.html#ppvalue^^ ^0"
s[59] = "SqlitePassApi_v3.pvalue^SqlitePassApi_v3.html#pvalue^^ ^0"
s[60] = "SqlitePassApi_v3.TBusyHandler^SqlitePassApi_v3.html#TBusyHandler^^    ^0"
s[61] = "SqlitePassApi_v3.TDestructor^SqlitePassApi_v3.html#TDestructor^^    ^0"
s[62] = "SqlitePassApi_v3.TExecCallback^SqlitePassApi_v3.html#TExecCallback^^    ^0"
s[63] = "SqlitePassApi_v3.TFuncFinalizer^SqlitePassApi_v3.html#TFuncFinalizer^^    ^0"
s[64] = "SqlitePassApi_v3.TFuncHandler^SqlitePassApi_v3.html#TFuncHandler^^    ^0"
s[65] = "SqlitePassApi_v3.TUserCollation^SqlitePassApi_v3.html#TUserCollation^^    ^0"
s[66] = "SqlitePassApi_v3.TUserCollationNeeded^SqlitePassApi_v3.html#TUserCollationNeeded^^    ^0"
s[67] = "SqlitePassApi_v3.EnginesCount^SqlitePassApi_v3.html#EnginesCount^Keeps track of engines using the library^ ^0"
s[68] = "SqlitePassApi_v3.SqliteDbv3_aggregate_context^SqlitePassApi_v3.html#SqliteDbv3_aggregate_context^^ ^0"
s[69] = "SqlitePassApi_v3.SqliteDbv3_aggregate_count^SqlitePassApi_v3.html#SqliteDbv3_aggregate_count^^ ^0"
s[70] = "SqlitePassApi_v3.SqliteDbv3_bind_blob^SqlitePassApi_v3.html#SqliteDbv3_bind_blob^^ ^0"
s[71] = "SqlitePassApi_v3.SqliteDbv3_bind_double^SqlitePassApi_v3.html#SqliteDbv3_bind_double^^ ^0"
s[72] = "SqlitePassApi_v3.SqliteDbv3_bind_int^SqlitePassApi_v3.html#SqliteDbv3_bind_int^^ ^0"
s[73] = "SqlitePassApi_v3.SqliteDbv3_bind_int64^SqlitePassApi_v3.html#SqliteDbv3_bind_int64^^ ^0"
s[74] = "SqlitePassApi_v3.SqliteDbv3_bind_null^SqlitePassApi_v3.html#SqliteDbv3_bind_null^^ ^0"
s[75] = "SqlitePassApi_v3.SqliteDbv3_bind_parameter_count^SqlitePassApi_v3.html#SqliteDbv3_bind_parameter_count^^ ^0"
s[76] = "SqlitePassApi_v3.SqliteDbv3_bind_parameter_index^SqlitePassApi_v3.html#SqliteDbv3_bind_parameter_index^^ ^0"
s[77] = "SqlitePassApi_v3.SqliteDbv3_bind_parameter_name^SqlitePassApi_v3.html#SqliteDbv3_bind_parameter_name^^ ^0"
s[78] = "SqlitePassApi_v3.SqliteDbv3_bind_text^SqlitePassApi_v3.html#SqliteDbv3_bind_text^SqliteDbv3_bind_value:function(stmt:pointer; idx:integer; value:pointer):integer; cdecl;^ ^0"
s[79] = "SqlitePassApi_v3.SqliteDbv3_busy_handler^SqlitePassApi_v3.html#SqliteDbv3_busy_handler^^ ^0"
s[80] = "SqlitePassApi_v3.SqliteDbv3_busy_timeout^SqlitePassApi_v3.html#SqliteDbv3_busy_timeout^^ ^0"
s[81] = "SqlitePassApi_v3.SqliteDbv3_changes^SqlitePassApi_v3.html#SqliteDbv3_changes^^ ^0"
s[82] = "SqlitePassApi_v3.SqliteDbv3_clear_binding^SqlitePassApi_v3.html#SqliteDbv3_clear_binding^Binding values to parameters^ ^0"
s[83] = "SqlitePassApi_v3.SqliteDbv3_close^SqlitePassApi_v3.html#SqliteDbv3_close^&mdash;&ndash; Database functions &mdash;&ndash;^ ^0"
s[84] = "SqlitePassApi_v3.SqliteDbv3_collation_needed^SqlitePassApi_v3.html#SqliteDbv3_collation_needed^^ ^0"
s[85] = "SqlitePassApi_v3.SqliteDbv3_column_blob^SqlitePassApi_v3.html#SqliteDbv3_column_blob^^ ^0"
s[86] = "SqlitePassApi_v3.SqliteDbv3_column_bytes^SqlitePassApi_v3.html#SqliteDbv3_column_bytes^^ ^0"
s[87] = "SqlitePassApi_v3.SqliteDbv3_column_count^SqlitePassApi_v3.html#SqliteDbv3_column_count^Column information^ ^0"
s[88] = "SqlitePassApi_v3.SqliteDbv3_column_decltype^SqlitePassApi_v3.html#SqliteDbv3_column_decltype^returns text which is the declared type of the column in the CREATE TABLE statement^ ^0"
s[89] = "SqlitePassApi_v3.SqliteDbv3_column_double^SqlitePassApi_v3.html#SqliteDbv3_column_double^^ ^0"
s[90] = "SqlitePassApi_v3.SqliteDbv3_column_int^SqlitePassApi_v3.html#SqliteDbv3_column_int^^ ^0"
s[91] = "SqlitePassApi_v3.SqliteDbv3_column_int64^SqlitePassApi_v3.html#SqliteDbv3_column_int64^^ ^0"
s[92] = "SqlitePassApi_v3.SqliteDbv3_column_name^SqlitePassApi_v3.html#SqliteDbv3_column_name^^ ^0"
s[93] = "SqlitePassApi_v3.SqliteDbv3_column_origin_name^SqlitePassApi_v3.html#SqliteDbv3_column_origin_name^^ ^0"
s[94] = "SqlitePassApi_v3.SqliteDbv3_column_table_name^SqlitePassApi_v3.html#SqliteDbv3_column_table_name^^ ^0"
s[95] = "SqlitePassApi_v3.SqliteDbv3_column_text^SqlitePassApi_v3.html#SqliteDbv3_column_text^^ ^0"
s[96] = "SqlitePassApi_v3.SqliteDbv3_column_type^SqlitePassApi_v3.html#SqliteDbv3_column_type^^ ^0"
s[97] = "SqlitePassApi_v3.SqliteDbv3_complete^SqlitePassApi_v3.html#SqliteDbv3_complete^^ ^0"
s[98] = "SqlitePassApi_v3.SqliteDbv3_create_collation^SqlitePassApi_v3.html#SqliteDbv3_create_collation^Sort functions^ ^0"
s[99] = "SqlitePassApi_v3.SqliteDbv3_create_function^SqlitePassApi_v3.html#SqliteDbv3_create_function^user defined functions^ ^0"
s[100] = "SqlitePassApi_v3.SqliteDbv3_data_count^SqlitePassApi_v3.html#SqliteDbv3_data_count^^ ^0"
s[101] = "SqlitePassApi_v3.SqliteDbv3_errcode^SqlitePassApi_v3.html#SqliteDbv3_errcode^^ ^0"
s[102] = "SqlitePassApi_v3.SqliteDbv3_errmsg^SqlitePassApi_v3.html#SqliteDbv3_errmsg^^ ^0"
s[103] = "SqlitePassApi_v3.SqliteDbv3_exec^SqlitePassApi_v3.html#SqliteDbv3_exec^^ ^0"
s[104] = "SqlitePassApi_v3.SqliteDbv3_finalize^SqlitePassApi_v3.html#SqliteDbv3_finalize^^ ^0"
s[105] = "SqlitePassApi_v3.SqliteDbv3_free^SqlitePassApi_v3.html#SqliteDbv3_free^^ ^0"
s[106] = "SqlitePassApi_v3.SqliteDbv3_free_table^SqlitePassApi_v3.html#SqliteDbv3_free_table^^ ^0"
s[107] = "SqlitePassApi_v3.SqliteDbv3_get_auxdata^SqlitePassApi_v3.html#SqliteDbv3_get_auxdata^^ ^0"
s[108] = "SqlitePassApi_v3.SqliteDbv3_get_table^SqlitePassApi_v3.html#SqliteDbv3_get_table^^ ^0"
s[109] = "SqlitePassApi_v3.SqliteDbv3_interrupt^SqlitePassApi_v3.html#SqliteDbv3_interrupt^^ ^0"
s[110] = "SqlitePassApi_v3.SqliteDbv3_last_insert_rowid^SqlitePassApi_v3.html#SqliteDbv3_last_insert_rowid^^ ^0"
s[111] = "SqlitePassApi_v3.SqliteDbv3_open^SqlitePassApi_v3.html#SqliteDbv3_open^Open a database and store the handle in 'db'^ ^0"
s[112] = "SqlitePassApi_v3.SqliteDbv3_prepare_v2^SqlitePassApi_v3.html#SqliteDbv3_prepare_v2^SqliteDbv3_prepare:function(db:pointer; Sql:pchar; nBytes:integer; var stmt:pointer; var pzTail:pchar):integer; cdecl;^ ^0"
s[113] = "SqlitePassApi_v3.SqliteDbv3_reset^SqlitePassApi_v3.html#SqliteDbv3_reset^^ ^0"
s[114] = "SqlitePassApi_v3.SqliteDbv3_result_blob^SqlitePassApi_v3.html#SqliteDbv3_result_blob^^ ^0"
s[115] = "SqlitePassApi_v3.SqliteDbv3_result_double^SqlitePassApi_v3.html#SqliteDbv3_result_double^^ ^0"
s[116] = "SqlitePassApi_v3.SqliteDbv3_result_error^SqlitePassApi_v3.html#SqliteDbv3_result_error^^ ^0"
s[117] = "SqlitePassApi_v3.SqliteDbv3_result_int^SqlitePassApi_v3.html#SqliteDbv3_result_int^^ ^0"
s[118] = "SqlitePassApi_v3.SqliteDbv3_result_int64^SqlitePassApi_v3.html#SqliteDbv3_result_int64^^ ^0"
s[119] = "SqlitePassApi_v3.SqliteDbv3_result_null^SqlitePassApi_v3.html#SqliteDbv3_result_null^^ ^0"
s[120] = "SqlitePassApi_v3.SqliteDbv3_result_text^SqlitePassApi_v3.html#SqliteDbv3_result_text^^ ^0"
s[121] = "SqlitePassApi_v3.SqliteDbv3_result_value^SqlitePassApi_v3.html#SqliteDbv3_result_value^^ ^0"
s[122] = "SqlitePassApi_v3.SqliteDbv3_set_auxdata^SqlitePassApi_v3.html#SqliteDbv3_set_auxdata^^ ^0"
s[123] = "SqlitePassApi_v3.SqliteDbv3_sql^SqlitePassApi_v3.html#SqliteDbv3_sql^^ ^0"
s[124] = "SqlitePassApi_v3.SqliteDbv3_SqliteLibVersion^SqlitePassApi_v3.html#SqliteDbv3_SqliteLibVersion^&mdash;&ndash; Global Info functions &mdash;&ndash;^ ^0"
s[125] = "SqlitePassApi_v3.SqliteDbv3_step^SqlitePassApi_v3.html#SqliteDbv3_step^^ ^0"
s[126] = "SqlitePassApi_v3.SqliteDbv3_total_changes^SqlitePassApi_v3.html#SqliteDbv3_total_changes^^ ^0"
s[127] = "SqlitePassApi_v3.SqliteDbv3_user_data^SqlitePassApi_v3.html#SqliteDbv3_user_data^^ ^0"
s[128] = "SqlitePassApi_v3.SqliteDbv3_value_blob^SqlitePassApi_v3.html#SqliteDbv3_value_blob^^ ^0"
s[129] = "SqlitePassApi_v3.SqliteDbv3_value_bytes^SqlitePassApi_v3.html#SqliteDbv3_value_bytes^^ ^0"
s[130] = "SqlitePassApi_v3.SqliteDbv3_value_double^SqlitePassApi_v3.html#SqliteDbv3_value_double^^ ^0"
s[131] = "SqlitePassApi_v3.SqliteDbv3_value_int^SqlitePassApi_v3.html#SqliteDbv3_value_int^^ ^0"
s[132] = "SqlitePassApi_v3.SqliteDbv3_value_int64^SqlitePassApi_v3.html#SqliteDbv3_value_int64^^ ^0"
s[133] = "SqlitePassApi_v3.SqliteDbv3_value_text^SqlitePassApi_v3.html#SqliteDbv3_value_text^^ ^0"
s[134] = "SqlitePassApi_v3.SqliteDbv3_value_type^SqlitePassApi_v3.html#SqliteDbv3_value_type^^ ^0"
s[135] = "SqlitePassConst^SqlitePassConst.html^This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.^    <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.    <p>You should have received a copy of the GNU Lesser General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;    <p>Messages localisation unit Author : Luc DAVID Email: luckylazarus@free.fr 2006-2009    <p>Major changes are indicated in the \\Documentation\\changes.pdf file Last update : 05.01.2009    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash; ^0"
s[136] = "SqlitePassConst.AfterIdentifierSeparator^SqlitePassConst.html#AfterIdentifierSeparator^^ ^0"
s[137] = "SqlitePassConst.BeforeIdentifierSeparator^SqlitePassConst.html#BeforeIdentifierSeparator^^ ^0"
s[138] = "SqlitePassConst.IdentifierChar^SqlitePassConst.html#IdentifierChar^<a class=\"normal\"  href=\"SqlitePassConst.html#kwPragmaTableInfo\">kwPragmaTableInfo</a>,^ ^0"
s[139] = "SqlitePassConst.kwAll^SqlitePassConst.html#kwAll^^ ^0"
s[140] = "SqlitePassConst.KwAllFields^SqlitePassConst.html#KwAllFields^^ ^0"
s[141] = "SqlitePassConst.KwAnd^SqlitePassConst.html#KwAnd^^ ^0"
s[142] = "SqlitePassConst.KwASAlias^SqlitePassConst.html#KwASAlias^^ ^0"
s[143] = "SqlitePassConst.kwBraceClose^SqlitePassConst.html#kwBraceClose^^ ^0"
s[144] = "SqlitePassConst.kwBraceOpen^SqlitePassConst.html#kwBraceOpen^^ ^0"
s[145] = "SqlitePassConst.kwBracketClose^SqlitePassConst.html#kwBracketClose^^ ^0"
s[146] = "SqlitePassConst.kwBracketOpen^SqlitePassConst.html#kwBracketOpen^Quotes^ ^0"
s[147] = "SqlitePassConst.kwComma^SqlitePassConst.html#kwComma^^ ^0"
s[148] = "SqlitePassConst.kwCreate^SqlitePassConst.html#kwCreate^Keywords definition for [create] statement^ ^0"
s[149] = "SqlitePassConst.kwCreateTable^SqlitePassConst.html#kwCreateTable^^ ^0"
s[150] = "SqlitePassConst.kwCreateTemporaryTable^SqlitePassConst.html#kwCreateTemporaryTable^^ ^0"
s[151] = "SqlitePassConst.kwCreateTempTable^SqlitePassConst.html#kwCreateTempTable^^ ^0"
s[152] = "SqlitePassConst.kwDelete^SqlitePassConst.html#kwDelete^Keywords definition for [delete] statement^ ^0"
s[153] = "SqlitePassConst.kwDistinct^SqlitePassConst.html#kwDistinct^^ ^0"
s[154] = "SqlitePassConst.kwDot^SqlitePassConst.html#kwDot^^ ^0"
s[155] = "SqlitePassConst.kwDoubleQuote^SqlitePassConst.html#kwDoubleQuote^^ ^0"
s[156] = "SqlitePassConst.kwEqual^SqlitePassConst.html#kwEqual^^ ^0"
s[157] = "SqlitePassConst.kwFrom^SqlitePassConst.html#kwFrom^^ ^0"
s[158] = "SqlitePassConst.kwGroupBy^SqlitePassConst.html#kwGroupBy^^ ^0"
s[159] = "SqlitePassConst.kwHaving^SqlitePassConst.html#kwHaving^^ ^0"
s[160] = "SqlitePassConst.kwInsert^SqlitePassConst.html#kwInsert^Keywords definition for [Insert] statement^ ^0"
s[161] = "SqlitePassConst.kwLike^SqlitePassConst.html#kwLike^^ ^0"
s[162] = "SqlitePassConst.kwLimit^SqlitePassConst.html#kwLimit^^ ^0"
s[163] = "SqlitePassConst.kwLineBreak^SqlitePassConst.html#kwLineBreak^^ ^0"
s[164] = "SqlitePassConst.kwLineEnd^SqlitePassConst.html#kwLineEnd^^ ^0"
s[165] = "SqlitePassConst.KwLineReturn^SqlitePassConst.html#KwLineReturn^^ ^0"
s[166] = "SqlitePassConst.kwOrderBy^SqlitePassConst.html#kwOrderBy^^ ^0"
s[167] = "SqlitePassConst.kwPragmaTableInfo^SqlitePassConst.html#kwPragmaTableInfo^^ ^0"
s[168] = "SqlitePassConst.kwSelect^SqlitePassConst.html#kwSelect^Keywords definition for [select] statement^ ^0"
s[169] = "SqlitePassConst.kwSingleQuote^SqlitePassConst.html#kwSingleQuote^^ ^0"
s[170] = "SqlitePassConst.KwSpace^SqlitePassConst.html#KwSpace^^ ^0"
s[171] = "SqlitePassConst.kwSQLEnd^SqlitePassConst.html#kwSQLEnd^Global Keywords definition^ ^0"
s[172] = "SqlitePassConst.kwUpdate^SqlitePassConst.html#kwUpdate^Keywords definition for [update] statement^ ^0"
s[173] = "SqlitePassConst.kwWhere^SqlitePassConst.html#kwWhere^^ ^0"
s[174] = "SqlitePassConst.QuoteChars^SqlitePassConst.html#QuoteChars^^ ^0"
s[175] = "SqlitePassConst.QuoteCharsArray^SqlitePassConst.html#QuoteCharsArray^^ ^0"
s[176] = "SqlitePassConst.SelectStmtFieldDefs^SqlitePassConst.html#SelectStmtFieldDefs^^ ^0"
s[177] = "SqlitePassConst.SelectStmtKeywords^SqlitePassConst.html#SelectStmtKeywords^^ ^0"
s[178] = "SqlitePassConst.SelectStmtTableDefs^SqlitePassConst.html#SelectStmtTableDefs^^ ^0"
s[179] = "SqlitePassConst.SqlitePassDatabaseVersion^SqlitePassConst.html#SqlitePassDatabaseVersion^^ ^0"
s[180] = "SqlitePassConst.SqlitePassDatasetVersion^SqlitePassConst.html#SqlitePassDatasetVersion^^ ^0"
s[181] = "SqlitePassConst.SqlitePassDbSettingsTable^SqlitePassConst.html#SqlitePassDbSettingsTable^System tables^ ^0"
s[182] = "SqlitePassConst.SqlitePassPackageVersion^SqlitePassConst.html#SqlitePassPackageVersion^Components version^ ^0"
s[183] = "SqlitePassConst.SqlitePassSQLStmtDefsTable^SqlitePassConst.html#SqlitePassSQLStmtDefsTable^^ ^0"
s[184] = "SqlitePassConst.SqlitePassStorageVersion^SqlitePassConst.html#SqlitePassStorageVersion^Storage version^ ^0"
s[185] = "SqlitePassConst.StmtTypeKeywords^SqlitePassConst.html#StmtTypeKeywords^Keywords definitions for statement type checking^ ^0"
s[186] = "SqlitePassConst.vlLog^SqlitePassConst.html#vlLog^^ ^0"
s[187] = "SqlitePassConst.vlLogAndShow^SqlitePassConst.html#vlLogAndShow^^ ^0"
s[188] = "SqlitePassConst.vlShow^SqlitePassConst.html#vlShow^^ ^0"
s[189] = "SqlitePassConst.vlSilent^SqlitePassConst.html#vlSilent^Verbose Level (For error handling)^ ^0"
s[190] = "SqlitePassDbo^SqlitePassDbo.html^Unit <code>SqlitePassDbo</code>.^    <p>This unit defines all the interface definitions for the SqlitePass Project    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;    <p>This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.    <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.    <p>You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;    <p>     <p>Major changes are indicated in the \\Documentation\\Changes.pdf file      <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash; Luc DAVID 2006-2009 luckylazarus@free.fr  http://source.online.free.fr   ^0"
s[191] = "SqlitePassDbo.TSqlitePassBlobStream^SqlitePassDbo.TSqlitePassBlobStream.html^&mdash;&ndash; Blob fields stream &mdash;&ndash;^ ^0"
s[192] = "SqlitePassDbo.TSqlitePassBlobStream.Create^SqlitePassDbo.TSqlitePassBlobStream.html#Create^^    ^0"
s[193] = "SqlitePassDbo.TSqlitePassBlobStream.Destroy^SqlitePassDbo.TSqlitePassBlobStream.html#Destroy^^    ^0"
s[194] = "SqlitePassDbo.TSqlitePassBlobStream.Read^SqlitePassDbo.TSqlitePassBlobStream.html#Read^^    ^0"
s[195] = "SqlitePassDbo.TSqlitePassBlobStream.Write^SqlitePassDbo.TSqlitePassBlobStream.html#Write^^    ^0"
s[196] = "SqlitePassDbo.TSqlitePassCustomFieldDef^SqlitePassDbo.TSqlitePassCustomFieldDef.html^TSqlitePassCustomFiedlDef^ ^0"
s[197] = "SqlitePassDbo.TSqlitePassCustomFieldDef.FieldName^SqlitePassDbo.TSqlitePassCustomFieldDef.html#FieldName^^ ^0"
s[198] = "SqlitePassDbo.TSqlitePassCustomFieldDef.FieldPrecision^SqlitePassDbo.TSqlitePassCustomFieldDef.html#FieldPrecision^^ ^0"
s[199] = "SqlitePassDbo.TSqlitePassCustomFieldDef.FieldSize^SqlitePassDbo.TSqlitePassCustomFieldDef.html#FieldSize^^ ^0"
s[200] = "SqlitePassDbo.TSqlitePassCustomFieldDef.FieldType^SqlitePassDbo.TSqlitePassCustomFieldDef.html#FieldType^^ ^0"
s[201] = "SqlitePassDbo.TSqlitePassCustomFieldDef.TableName^SqlitePassDbo.TSqlitePassCustomFieldDef.html#TableName^^ ^0"
s[202] = "SqlitePassDbo.TSqlitePassCustomFieldDefs^SqlitePassDbo.TSqlitePassCustomFieldDefs.html^<code>TSqlitePassCustomFieldDefs</code>^ ^0"
s[203] = "SqlitePassDbo.TSqlitePassCustomFieldDefs.Create^SqlitePassDbo.TSqlitePassCustomFieldDefs.html#Create^^    ^0"
s[204] = "SqlitePassDbo.TSqlitePassCustomFieldDefs.Destroy^SqlitePassDbo.TSqlitePassCustomFieldDefs.html#Destroy^^    ^0"
s[205] = "SqlitePassDbo.TSqlitePassCustomFieldDefs.Add^SqlitePassDbo.TSqlitePassCustomFieldDefs.html#Add^^    ^0"
s[206] = "SqlitePassDbo.TSqlitePassCustomFieldDefs.ClearAndFreeItems^SqlitePassDbo.TSqlitePassCustomFieldDefs.html#ClearAndFreeItems^^    ^0"
s[207] = "SqlitePassDbo.TSqlitePassCustomFieldDefs.Items^SqlitePassDbo.TSqlitePassCustomFieldDefs.html#Items^^ ^0"
s[208] = "SqlitePassDbo.TSqlitePassDatabase^SqlitePassDbo.TSqlitePassDatabase.html^The <code>TSqlitePassDatabase</code> component is the main link between your application and the sqlite library.^ It currently supports sqlite <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Engine\">engine</a> version 3.xx and gives you direct acces to a wide range of sqlite <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Databases\">databases</a> created using <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> management progams like kexi, sqlite administrator, sqliteToolbox...etc. With proper setting, you can also use it to read and write to your own custom sqlite <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Databases\">databases</a>. ^0"
s[209] = "SqlitePassDbo.TSqlitePassDatabase.Create^SqlitePassDbo.TSqlitePassDatabase.html#Create^&mdash;&ndash; Constructor / Destructor &mdash;&ndash;^    ^0"
s[210] = "SqlitePassDbo.TSqlitePassDatabase.Destroy^SqlitePassDbo.TSqlitePassDatabase.html#Destroy^^    ^0"
s[211] = "SqlitePassDbo.TSqlitePassDatabase.AttachDatabase^SqlitePassDbo.TSqlitePassDatabase.html#AttachDatabase^Enables to attach one or several foreign <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Databases\">databases</a> to the current one.^ The attached <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Databases\">databases</a> must be compatible with the current one (the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Databases\">databases</a> must have been created with the same <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> manager application). Once a <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> is attached, its content becomes available as part of the current <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a>. Then you can access to tables, queries... as if they were part of the main <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a>. Usage : <code>AttachDatabase</code>(DatabasePath: String);    ^0"
s[212] = "SqlitePassDbo.TSqlitePassDatabase.Compact^SqlitePassDbo.TSqlitePassDatabase.html#Compact^^    ^0"
s[213] = "SqlitePassDbo.TSqlitePassDatabase.CreateDatabase^SqlitePassDbo.TSqlitePassDatabase.html#CreateDatabase^^    ^0"
s[214] = "SqlitePassDbo.TSqlitePassDatabase.DeleteDatabase^SqlitePassDbo.TSqlitePassDatabase.html#DeleteDatabase^^    ^0"
s[215] = "SqlitePassDbo.TSqlitePassDatabase.DetachDatabase^SqlitePassDbo.TSqlitePassDatabase.html#DetachDatabase^Detaches a previously attached <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a>.^    ^0"
s[216] = "SqlitePassDbo.TSqlitePassDatabase.IsSystemTable^SqlitePassDbo.TSqlitePassDatabase.html#IsSystemTable^Returns True if the Table is a system table^    ^0"
s[217] = "SqlitePassDbo.TSqlitePassDatabase.Close^SqlitePassDbo.TSqlitePassDatabase.html#Close^Same as <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Connected\">Connected</a> := False^    ^0"
s[218] = "SqlitePassDbo.TSqlitePassDatabase.Idle^SqlitePassDbo.TSqlitePassDatabase.html#Idle^&mdash;&ndash; Procedures / Functions &mdash;&ndash;^    ^0"
s[219] = "SqlitePassDbo.TSqlitePassDatabase.Open^SqlitePassDbo.TSqlitePassDatabase.html#Open^Same as <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Connected\">Connected</a> := True^    ^0"
s[220] = "SqlitePassDbo.TSqlitePassDatabase.RefreshDefinitions^SqlitePassDbo.TSqlitePassDatabase.html#RefreshDefinitions^Updates the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> definition content (<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#TableDefs\">TableDefs</a>, <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#QueryDefs\">QueryDefs</a>...) from file^    ^0"
s[221] = "SqlitePassDbo.TSqlitePassDatabase.Connected^SqlitePassDbo.TSqlitePassDatabase.html#Connected^Set this property to True to connect the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> defined in the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> property.^ Set it to False to disconnect the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> and all the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Datasets\">datasets</a> associated with it. You can also verify if a <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> is <code>connected</code> using : <code>if MyDatabase.Connected then...</code> ^0"
s[222] = "SqlitePassDbo.TSqlitePassDatabase.Database^SqlitePassDbo.TSqlitePassDatabase.html#Database^Represents the physical <code>database</code> file you want to connect.^ At design time, shows up a file selection dialog box. ^0"
s[223] = "SqlitePassDbo.TSqlitePassDatabase.DatabaseError^SqlitePassDbo.TSqlitePassDatabase.html#DatabaseError^A utility object to log errors^ ^0"
s[224] = "SqlitePassDbo.TSqlitePassDatabase.Databases^SqlitePassDbo.TSqlitePassDatabase.html#Databases^A collection of attached <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> to the current one^ ^0"
s[225] = "SqlitePassDbo.TSqlitePassDatabase.DatabaseType^SqlitePassDbo.TSqlitePassDatabase.html#DatabaseType^Represents the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> type detected from the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> file extension you are using.^ (*.kexi for kexi <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> for example). Once the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> type is recognised, the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html\">TsqlitePassDatabase</a> component sets this property and creates an internal <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Translator\">translator</a> to take care of the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> specifications. You can also define this property by yourself if the file extension doesn't match the correct <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> type. ^0"
s[226] = "SqlitePassDbo.TSqlitePassDatabase.Datasets^SqlitePassDbo.TSqlitePassDatabase.html#Datasets^A collection of all the <code>datasets</code> that use the current <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> component^ ^0"
s[227] = "SqlitePassDbo.TSqlitePassDatabase.DatatypeOptions^SqlitePassDbo.TSqlitePassDatabase.html#DatatypeOptions^One of the main difficulties when working with Sqlite <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Databases\">databases</a> is to detect and translate properly the fields.datatypes since sqlite datatype are not formely defined.^ SqlitePass implements several ways to define a datatype. The Database.DatatypeOptions property gives you the opportunity to set custom or default behaviors for a given <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> and lets you also define how fields.datatype will be retrieved and translated into pascal datatypes using TranslationRules and CustomFieldDefs ^0"
s[228] = "SqlitePassDbo.TSqlitePassDatabase.Engine^SqlitePassDbo.TSqlitePassDatabase.html#Engine^Internal object to access the sqlite <code>engine</code>^ ^0"
s[229] = "SqlitePassDbo.TSqlitePassDatabase.IndexDefs^SqlitePassDbo.TSqlitePassDatabase.html#IndexDefs^The <code>IndexDefs</code> property is a collection that gives you access to the indexes definitons stored in the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a>.^ ^0"
s[230] = "SqlitePassDbo.TSqlitePassDatabase.OnAfterConnect^SqlitePassDbo.TSqlitePassDatabase.html#OnAfterConnect^&mdash;&ndash; Events &mdash;&ndash;^ ^0"
s[231] = "SqlitePassDbo.TSqlitePassDatabase.OnAfterDisconnect^SqlitePassDbo.TSqlitePassDatabase.html#OnAfterDisconnect^^ ^0"
s[232] = "SqlitePassDbo.TSqlitePassDatabase.OnBeforeConnect^SqlitePassDbo.TSqlitePassDatabase.html#OnBeforeConnect^^ ^0"
s[233] = "SqlitePassDbo.TSqlitePassDatabase.OnBeforeDisconnect^SqlitePassDbo.TSqlitePassDatabase.html#OnBeforeDisconnect^^ ^0"
s[234] = "SqlitePassDbo.TSqlitePassDatabase.OnDataTypeConversion^SqlitePassDbo.TSqlitePassDatabase.html#OnDataTypeConversion^^ ^0"
s[235] = "SqlitePassDbo.TSqlitePassDatabase.Options^SqlitePassDbo.TSqlitePassDatabase.html#Options^Represents the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> optional settings.^ ^0"
s[236] = "SqlitePassDbo.TSqlitePassDatabase.QueryDefs^SqlitePassDbo.TSqlitePassDatabase.html#QueryDefs^The <code>QueryDefs</code> property is a collection that gives you access to the queries definitons stored in the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a>.^ ^0"
s[237] = "SqlitePassDbo.TSqlitePassDatabase.QueryTimeout^SqlitePassDbo.TSqlitePassDatabase.html#QueryTimeout^^ ^0"
s[238] = "SqlitePassDbo.TSqlitePassDatabase.ReadOnly^SqlitePassDbo.TSqlitePassDatabase.html#ReadOnly^Same as classic dataset behavior^ ^0"
s[239] = "SqlitePassDbo.TSqlitePassDatabase.ShowSystemObjects^SqlitePassDbo.TSqlitePassDatabase.html#ShowSystemObjects^^ ^0"
s[240] = "SqlitePassDbo.TSqlitePassDatabase.SmartOpen^SqlitePassDbo.TSqlitePassDatabase.html#SmartOpen^When set to True, the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html\">TsqlitePassDataset</a> will automatically takes care of opening the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> connection if the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> is not <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Connected\">connected</a>.^ Set it to False to manually control the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a> connection. ^0"
s[241] = "SqlitePassDbo.TSqlitePassDatabase.SQLiteLibrary^SqlitePassDbo.TSqlitePassDatabase.html#SQLiteLibrary^Represents an alternative library file to be used instead of the default one.^ By default, sqlitepassDatabase tries to use the sqlitepass3.dll or libsqlitepass3.so file located in the system path directory (..\\windows\\system32\\ or ..\\user\\lib for example). Enter a complete library file path to use a different library. From version 0.28 <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html\">TsqlitePassDatabase</a> needs the sqlite library compiled with the ENABLE_METADATA precompiler directive. These libraries are available from <a  target=\"_parent\" href=\"http://source.online.free.fr\">http://source.online.free.fr</a> or you can compile your own following the tutorial available on the same internet site. ^0"
s[242] = "SqlitePassDbo.TSqlitePassDatabase.SQLStmtDefs^SqlitePassDbo.TSqlitePassDatabase.html#SQLStmtDefs^^ ^0"
s[243] = "SqlitePassDbo.TSqlitePassDatabase.TableDefs^SqlitePassDbo.TSqlitePassDatabase.html#TableDefs^The <code>TableDefs</code> property is a collection that gives you access to the tables definitons stored in the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a>.^ ^0"
s[244] = "SqlitePassDbo.TSqlitePassDatabase.Translator^SqlitePassDbo.TSqlitePassDatabase.html#Translator^translation object used to get or set data that depend on the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#DatabaseType\">DatabaseType</a> property^ ^0"
s[245] = "SqlitePassDbo.TSqlitePassDatabase.Triggers^SqlitePassDbo.TSqlitePassDatabase.html#Triggers^The TriggerDefs property is a collection that gives you access to the <code>Triggers</code> definitons stored in the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a>.^ ^0"
s[246] = "SqlitePassDbo.TSqlitePassDatabase.UserTag^SqlitePassDbo.TSqlitePassDatabase.html#UserTag^^ ^0"
s[247] = "SqlitePassDbo.TSqlitePassDatabase.VersionInfo^SqlitePassDbo.TSqlitePassDatabase.html#VersionInfo^^ ^0"
s[248] = "SqlitePassDbo.TSqlitePassDatabase.Views^SqlitePassDbo.TSqlitePassDatabase.html#Views^The ViewDefs property is a collection that gives you access to the <code>views</code> definitons stored in the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#Database\">database</a>.^ ^0"
s[249] = "SqlitePassDbo.TSqlitePassDatabaseAttached^SqlitePassDbo.TSqlitePassDatabaseAttached.html^TSqliteAttachedDatabases : Maintain a list of all attached databases^ ^0"
s[250] = "SqlitePassDbo.TSqlitePassDatabaseAttached.Create^SqlitePassDbo.TSqlitePassDatabaseAttached.html#Create^&mdash;&ndash; Constructor / Destructor &mdash;&ndash;^    ^0"
s[251] = "SqlitePassDbo.TSqlitePassDatabaseAttached.Destroy^SqlitePassDbo.TSqlitePassDatabaseAttached.html#Destroy^^    ^0"
s[252] = "SqlitePassDbo.TSqlitePassDatabaseAttached.AliasName^SqlitePassDbo.TSqlitePassDatabaseAttached.html#AliasName^&mdash;&ndash; Properties &mdash;&ndash;^ ^0"
s[253] = "SqlitePassDbo.TSqlitePassDatabaseAttached.Database^SqlitePassDbo.TSqlitePassDatabaseAttached.html#Database^^ ^0"
s[254] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html^The <code>TSqlitePassDatabaseDataTypeOptions</code> is used by the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#DatatypeOptions\">TSqlitePassDatabase.DatatypeOptions</a> property and gives you the opportunity to set custom or default behaviors for a given database.^ It lets you also define how fields.datatype will be retrieved and translated into pascal datatypes using <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TranslationRules\">TranslationRules</a> and <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#CustomFieldDefs\">CustomFieldDefs</a>. ^0"
s[255] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.Create^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#Create^&mdash;&ndash; Constructor / Destructor &mdash;&ndash;^    ^0"
s[256] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.Destroy^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#Destroy^^    ^0"
s[257] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.GetOwner^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#GetOwner^^    ^0"
s[258] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.ApplyCustomFieldDefs^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#ApplyCustomFieldDefs^&mdash;^    ^0"
s[259] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.LoadFromDatabase^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#LoadFromDatabase^^    ^0"
s[260] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.SaveToDatabase^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#SaveToDatabase^^    ^0"
s[261] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.SetDefaultValues^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#SetDefaultValues^^    ^0"
s[262] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.BooleanFormat^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#BooleanFormat^a string used as a Boolean formating template.^ The <code>BooleanFormat</code> is only active when the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#BooleanStorage\">BooleanStorage</a> property is set to &quot;asText&quot;. In this case it is used to read or write boolean values stored as text to the database <code>BooleanFormat</code> is separated into two sections : The left part represents the text statements used for True, a separator '-' The right part represents the text statements used for False    <p><i> Usualy <code>BooleanFormat</code> takes one of the following value : 'Yes,True,On,1,-No,False,Off,0'</i>    <p>When <code>BooleanFormat</code> is set to &quot;asText&quot; the first value of the &quot;True&quot; section ('Yes' in the example) and the first value of the &quot;False&quot; sections ('No' in the example) are used as text representation to write boolean value to database ^0"
s[263] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.BooleanStorage^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#BooleanStorage^<code>BooleanStorage</code> determines how the Boolean values are stored in the database.^ It can take one of the following values : asInteger : the field value is stored as an integer. asText : the field value is stored as formated text, using the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#BooleanFormat\">BooleanFormat</a> property setting ^0"
s[264] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.CustomFieldDefs^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#CustomFieldDefs^<code>CustomFieldDefs</code> : A collection of custom fielddefs.^    <p>A custom fielddef can be used to overwrite the fielddefs translation already done by the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DetectionMode\">DetectionMode</a> and the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TranslationRules\">TranslationRules</a> properties.    <p>A custom fielddef is made of : A TableName and a FieldName to identify the field A FieldType: TfieldType (ftinteger, ftstring...etc) A FieldSize A FieldPrecision    <p>This property can be very usefull when a fielddef cannot be built on the datatype. <i>For example, you created a table with two BLOB fields declared with the same datatype (CLOB) in the table <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#Create\">create</a> statement. If you want to store MemoText in the first blob and store graphic data in the second, you just need to <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#Create\">create</a> two custom fielddefs using the designtime editor or the sqliteToolbox program and store then in your database using <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#LoadOptions\">LoadOptions</a> and <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#SaveOptions\">SaveOptions</a>.</i>    <p>At design time, a specific editor lets you define the translation rules. ^0"
s[265] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.DateFormat^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateFormat^a string used as a Date formating template.^ The <code>DateFormat</code> is only active when the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateStorage\">DateStorage</a> property is set to asText. In this case it is used to read or write date values stored as text to the database <code>DateFormat</code> accepts <b>only Uppercases</b> to match Day (D), Month (M), Year (Y) Any other character is treated as literal and is included is the formated string    <p><i> usualy <code>DateFormat</code> takes one of the following value : DD-MM-YYYY YYYY-MM-DD DD/MM/YYYY YYYY/MM/DD</i> ^0"
s[266] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.DateStorage^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateStorage^<code>DateStorage</code> determines how the Date values are stored in the database.^ It can take one of the following values : asInteger : the field value is stored as an integer. asText : the field value is stored as formated text, using the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateFormat\">DateFormat</a> property setting ^0"
s[267] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.DateTimeFormat^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateTimeFormat^a string used as a DateTime formating template.^ The <code>DateTimeFormat</code> is only active when the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateTimeStorage\">DateTimeStorage</a> property is set to &quot;asText&quot;. In this case it is used to read or write datetime value stored as text to the database <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateFormat\">DateFormat</a> accepts <b>only Uppercases for the Date part and only lowercases for the Time part</b> to match Days (D), Months (M), Years (Y), Hours (h), Minutes (m), Secondes (s) and Msecs (z) Any other character is treated as literal and is included is the formated string    <p><i> usualy <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateFormat\">DateFormat</a> takes one of the following value : DD-MM-YYYY hh:mm:ss DD/MM/YYYY hh:mm:ss DD-MM-YYYY hh:mm:ss:zzz DD/MM/YYYY hh:mm:ss:zzz</i> Note : Kexi databases format DateTime as DD-MM-YYYYThh:mm:ss ) ^0"
s[268] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.DateTimeStorage^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateTimeStorage^<code>DateTimeStorage</code> determines how the DateTime values are stored in the database.^ It can take one of the following values : dtsDateTime : the field value is stored as a double value. dtsJulian : the field value is stored as a double value converted to a julian date. dtsText : the field value is stored as formated text, using the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateTimeFormat\">DateTimeFormat</a> property setting dtsUnix : the field value is stored as a int64 value converted to an Unix date. dtsMac : the field value is stored as a int64 value converted to an Apple Mac date. ^0"
s[269] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.DecimalSeparator^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DecimalSeparator^Decimal separator : not used^ ^0"
s[270] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.DefaultFieldType^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DefaultFieldType^Determines the default field type used when field type translations fails.^ It is usually set to ftUnknow or ftString ^0"
s[271] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.DetectionMode^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DetectionMode^The <code>DetectionMode</code> controls how the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html\">TsqlitePassDatabase</a> component will behave when it tries to retrieve the database fields definition.^ It can have on of the following values :    <p><b>dmTypeName</b><br> FieldTypes are retrieved from the initial SQL <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#Create\">CREATE</a> statement of the table for example : '<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#Create\">CREATE</a> TABLE cars_names (id INTEGER PRIMARY KEY, companycode Integer, name Text(200))' Then the database uses the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TranslationRules\">TranslationRules</a> (a collection of translation Rule) to match the datatypes names found in the database table, for example 'integer' with a pascal datatype (ftInteger in this example).    <p><b>dmDbSpecific</b><br> Field.datatypes are set directly by sqlitepass, depending on the Database.Databasetype value. Note : This can only be used with the 'dbtKexi' Databasetype.    <p><b>dmCustom</b><br> Field.datatypes are first preset directly by sqlitepass, depending on the Database.Databasetype value. If the first match fails, it uses the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TranslationRules\">TranslationRules</a> if you defined some Finally, it fires the OnDataTypeConversion event letting you modified directly the Field.Datatype Of course, the OnDataTypeConversion Event must be assigned...    <p><b>dmForceStr</b><br> Converts any Datatype to ftString; ^0"
s[272] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.LoadOptions^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#LoadOptions^if SoManual is not selected (default behavior) your optional settings are retrieved directly from a special table named &quot;SQLitePass__DbSettings&quot; every time you open a database    <p>The <code>LoadOptions</code> property determines which parts of the database DataTypeOptions are retrieved from the table It can take one or more of the following values : soProperties : It retrieves your settings for BooleanExtension; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#BooleanStorage\">BooleanStorage</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateFormat\">DateFormat</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateStorage\">DateStorage</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateTimeFormat\">DateTimeFormat</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateTimeStorage\">DateTimeStorage</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DecimalSeparator\">DecimalSeparator</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DefaultFieldType\">DefaultFieldType</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DetectionMode\">DetectionMode</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TimeFormat\">TimeFormat</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TimeStorage\">TimeStorage</a>;    <p>soTranslationRules : It retrieves and fills the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TranslationRules\">TranslationRules</a> collection.^ soCustomFieldDefs : It retrieves and fills the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#CustomFieldDefs\">CustomFieldDefs</a> collection.    <p>soManual : The selected parts are not retrieved automatically. You will then have to call <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#LoadFromDatabase\">LoadFromDatabase</a> to load your database settings. ^0"
s[273] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.SaveOptions^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#SaveOptions^if SoManual is not selected (default behavior) your optional settings are stored directly to a special table named &quot;SQLitePass__DbSettings&quot; every time you close a database.^    <p>The <code>SaveOptions</code> property determines which parts of the database DataTypeOptions are saved from the table It can take one or more of the following values : soProperties : It saves your settings for BooleanExtension; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#BooleanStorage\">BooleanStorage</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateFormat\">DateFormat</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateStorage\">DateStorage</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateTimeFormat\">DateTimeFormat</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateTimeStorage\">DateTimeStorage</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DecimalSeparator\">DecimalSeparator</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DefaultFieldType\">DefaultFieldType</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DetectionMode\">DetectionMode</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TimeFormat\">TimeFormat</a>; <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TimeStorage\">TimeStorage</a>;    <p>soTranslationRules : It saves the the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TranslationRules\">TranslationRules</a> collection to the database. soCustomFieldDefs : It saves the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#CustomFieldDefs\">CustomFieldDefs</a> collection to the database.    <p>soManual : The selected parts are not saved automatically. You will then have to call <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#SaveToDatabase\">SaveToDatabase</a> to save your database settings. ^0"
s[274] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.TimeFormat^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TimeFormat^a string used as a Time formating template.^ The <code>TimeFormat</code> is only active when the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateStorage\">DateStorage</a> property is set to &quot;asText&quot;. In this case it is used to read or write Time values stored as text to the database <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DateFormat\">DateFormat</a> accepts <b>only lowercases</b> to match Hours (h), Minutes (m), Secondes (s) and Msecs (z) Any other character is treated as literal and is included is the formated string <i> usualy <code>TimeFormat</code> takes one of the following value : hh:mm:ss hh:mm:ss:zzz hh-mm-ss hh-mm-ss-zzz</i> ^0"
s[275] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.TimeStorage^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TimeStorage^<code>TimeStorage</code> dtermines how the Time values are stored in the database.^ It can take one of the following values : asInteger : the field value is stored as an integer. asText : the field value is stored as formated text, using the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TimeFormat\">TimeFormat</a> property setting ^0"
s[276] = "SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.TranslationRules^SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#TranslationRules^<code>TranslationRules</code> : A collection of translation rules.^ <code>TranslationRules</code> are stored in *.DFM or *.LFM file but can also be stored directly in the database using the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#LoadOptions\">LoadOptions</a> and <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#SaveOptions\">SaveOptions</a> properties.    <p>A translation rule is made of : A datatype name (whatever you want depending on how fields datatypes are named inside the database or the table <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#Create\">create</a> statement) A matching rule (mmExact, mmExactNoCase, mmPartial, mmPartialNoCase, mmAll); A resulting datatype (ft... pascal fieldtype)    <p>The matching rule can be set for each translation rule and can be one of the following values:    <p><b>mmExact</b> the datatype found in the database table definition must match exactly the rule datatype name. It is case sensitive.    <p><i>For example if the 'Int' name is found in the database table definition then it will not match the ('Integer',mmExact,ftInteger) rule thus ftUnknown will be returned</i>    <p><b>mmExactNoCase</b> Same as mmExact but not case sensitive    <p><b>mmPartial</b> the datatype found in the database table definition can partially match the rule datatype name. It is case sensitive. <i>For example if the 'Int' name is found in the database table definition then it will match the ('Integer',mmExact,ftInteger) rule and will return ftInteger</i>    <p><b>mmPartialNoCase</b> Same as mmPartial but not case sensitive    <p><b>mmAll (Default)</b> Tries to determine the datatype using mmExact. If it fails then another try is done using mmPartial If the matching rule failed, the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseDataTypeOptions.html#DefaultFieldType\">DefaultFieldType</a> is returned (ftUnknown as default).    <p>At design time, a specific editor lets you define the translation rules. ^0"
s[277] = "SqlitePassDbo.TSqlitePassDatabaseError^SqlitePassDbo.TSqlitePassDatabaseError.html^^ ^0"
s[278] = "SqlitePassDbo.TSqlitePassDatabaseError.Create^SqlitePassDbo.TSqlitePassDatabaseError.html#Create^&mdash;&ndash; Constructor / Destructor &mdash;&ndash;^    ^0"
s[279] = "SqlitePassDbo.TSqlitePassDatabaseError.Destroy^SqlitePassDbo.TSqlitePassDatabaseError.html#Destroy^^    ^0"
s[280] = "SqlitePassDbo.TSqlitePassDatabaseError.Clear^SqlitePassDbo.TSqlitePassDatabaseError.html#Clear^&mdash;&ndash; Procedures / Functions &mdash;&ndash;^    ^0"
s[281] = "SqlitePassDbo.TSqlitePassDatabaseError.GetLastError^SqlitePassDbo.TSqlitePassDatabaseError.html#GetLastError^^    ^0"
s[282] = "SqlitePassDbo.TSqlitePassDatabaseError.SaveToFile^SqlitePassDbo.TSqlitePassDatabaseError.html#SaveToFile^^    ^0"
s[283] = "SqlitePassDbo.TSqlitePassDatabaseError.ErrorCount^SqlitePassDbo.TSqlitePassDatabaseError.html#ErrorCount^^ ^0"
s[284] = "SqlitePassDbo.TSqlitePassDatabaseError.ErrorList^SqlitePassDbo.TSqlitePassDatabaseError.html#ErrorList^^ ^0"
s[285] = "SqlitePassDbo.TSqlitePassDatabaseIndex^SqlitePassDbo.TSqlitePassDatabaseIndex.html^^ ^0"
s[286] = "SqlitePassDbo.TSqlitePassDatabaseIndex.Create^SqlitePassDbo.TSqlitePassDatabaseIndex.html#Create^^    ^0"
s[287] = "SqlitePassDbo.TSqlitePassDatabaseIndex.Destroy^SqlitePassDbo.TSqlitePassDatabaseIndex.html#Destroy^^    ^0"
s[288] = "SqlitePassDbo.TSqlitePassDatabaseIndex.DeleteIndex^SqlitePassDbo.TSqlitePassDatabaseIndex.html#DeleteIndex^^    ^0"
s[289] = "SqlitePassDbo.TSqlitePassDatabaseIndex.Reindex^SqlitePassDbo.TSqlitePassDatabaseIndex.html#Reindex^^    ^0"
s[290] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html^^ ^0"
s[291] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.Create^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#Create^^    ^0"
s[292] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.Destroy^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#Destroy^^    ^0"
s[293] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.FindIndex^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#FindIndex^^    ^0"
s[294] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.IndexByName^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#IndexByName^^    ^0"
s[295] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.AddIndexes^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#AddIndexes^^    ^0"
s[296] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.Assign^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#Assign^^    ^0"
s[297] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.CreateIndex^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#CreateIndex^^    ^0"
s[298] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.CreateIndex^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#CreateIndex^^    ^0"
s[299] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.DeleteIndex^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#DeleteIndex^^    ^0"
s[300] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.Refresh^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#Refresh^^    ^0"
s[301] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.Reindex^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#Reindex^^    ^0"
s[302] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.RenameIndex^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#RenameIndex^^    ^0"
s[303] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.Count^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#Count^^ ^0"
s[304] = "SqlitePassDbo.TSqlitePassDatabaseIndexDefs.Items^SqlitePassDbo.TSqlitePassDatabaseIndexDefs.html#Items^^ ^0"
s[305] = "SqlitePassDbo.TSqlitePassDatabaseOptions^SqlitePassDbo.TSqlitePassDatabaseOptions.html^<code>TSqlitePassDatabaseOptions</code>^ ^0"
s[306] = "SqlitePassDbo.TSqlitePassDatabaseOptions.Create^SqlitePassDbo.TSqlitePassDatabaseOptions.html#Create^^    ^0"
s[307] = "SqlitePassDbo.TSqlitePassDatabaseOptions.Destroy^SqlitePassDbo.TSqlitePassDatabaseOptions.html#Destroy^^    ^0"
s[308] = "SqlitePassDbo.TSqlitePassDatabaseOptions.AutoVacuum^SqlitePassDbo.TSqlitePassDatabaseOptions.html#AutoVacuum^^ ^0"
s[309] = "SqlitePassDbo.TSqlitePassDatabaseOptions.CacheSize^SqlitePassDbo.TSqlitePassDatabaseOptions.html#CacheSize^^ ^0"
s[310] = "SqlitePassDbo.TSqlitePassDatabaseOptions.CaseSensitiveLike^SqlitePassDbo.TSqlitePassDatabaseOptions.html#CaseSensitiveLike^^ ^0"
s[311] = "SqlitePassDbo.TSqlitePassDatabaseOptions.CountChanges^SqlitePassDbo.TSqlitePassDatabaseOptions.html#CountChanges^^ ^0"
s[312] = "SqlitePassDbo.TSqlitePassDatabaseOptions.DefaultCacheSize^SqlitePassDbo.TSqlitePassDatabaseOptions.html#DefaultCacheSize^^ ^0"
s[313] = "SqlitePassDbo.TSqlitePassDatabaseOptions.EmptyResultCallback^SqlitePassDbo.TSqlitePassDatabaseOptions.html#EmptyResultCallback^^ ^0"
s[314] = "SqlitePassDbo.TSqlitePassDatabaseOptions.Encoding^SqlitePassDbo.TSqlitePassDatabaseOptions.html#Encoding^^ ^0"
s[315] = "SqlitePassDbo.TSqlitePassDatabaseOptions.FullColumnNames^SqlitePassDbo.TSqlitePassDatabaseOptions.html#FullColumnNames^^ ^0"
s[316] = "SqlitePassDbo.TSqlitePassDatabaseOptions.LogErrors^SqlitePassDbo.TSqlitePassDatabaseOptions.html#LogErrors^^ ^0"
s[317] = "SqlitePassDbo.TSqlitePassDatabaseOptions.PageSize^SqlitePassDbo.TSqlitePassDatabaseOptions.html#PageSize^^ ^0"
s[318] = "SqlitePassDbo.TSqlitePassDatabaseOptions.QuoteStyle^SqlitePassDbo.TSqlitePassDatabaseOptions.html#QuoteStyle^^ ^0"
s[319] = "SqlitePassDbo.TSqlitePassDatabaseOptions.Synchronous^SqlitePassDbo.TSqlitePassDatabaseOptions.html#Synchronous^^ ^0"
s[320] = "SqlitePassDbo.TSqlitePassDatabaseOptions.TemporaryStorage^SqlitePassDbo.TSqlitePassDatabaseOptions.html#TemporaryStorage^^ ^0"
s[321] = "SqlitePassDbo.TSqlitePassDatabasesAttached^SqlitePassDbo.TSqlitePassDatabasesAttached.html^^ ^0"
s[322] = "SqlitePassDbo.TSqlitePassDatabasesAttached.Create^SqlitePassDbo.TSqlitePassDatabasesAttached.html#Create^^    ^0"
s[323] = "SqlitePassDbo.TSqlitePassDatabasesAttached.Destroy^SqlitePassDbo.TSqlitePassDatabasesAttached.html#Destroy^^    ^0"
s[324] = "SqlitePassDbo.TSqlitePassDatabasesAttached.DatabaseByName^SqlitePassDbo.TSqlitePassDatabasesAttached.html#DatabaseByName^^    ^0"
s[325] = "SqlitePassDbo.TSqlitePassDatabasesAttached.FindDatabase^SqlitePassDbo.TSqlitePassDatabasesAttached.html#FindDatabase^^    ^0"
s[326] = "SqlitePassDbo.TSqlitePassDatabasesAttached.Count^SqlitePassDbo.TSqlitePassDatabasesAttached.html#Count^^ ^0"
s[327] = "SqlitePassDbo.TSqlitePassDatabasesAttached.Items^SqlitePassDbo.TSqlitePassDatabasesAttached.html#Items^^ ^0"
s[328] = "SqlitePassDbo.TSqlitePassDatabaseVersionInfo^SqlitePassDbo.TSqlitePassDatabaseVersionInfo.html^TVersionInfo^ ^0"
s[329] = "SqlitePassDbo.TSqlitePassDatabaseVersionInfo.Create^SqlitePassDbo.TSqlitePassDatabaseVersionInfo.html#Create^^    ^0"
s[330] = "SqlitePassDbo.TSqlitePassDatabaseVersionInfo.Destroy^SqlitePassDbo.TSqlitePassDatabaseVersionInfo.html#Destroy^^    ^0"
s[331] = "SqlitePassDbo.TSqlitePassDatabaseVersionInfo.Component^SqlitePassDbo.TSqlitePassDatabaseVersionInfo.html#Component^^ ^0"
s[332] = "SqlitePassDbo.TSqlitePassDatabaseVersionInfo.DbVersion^SqlitePassDbo.TSqlitePassDatabaseVersionInfo.html#DbVersion^^ ^0"
s[333] = "SqlitePassDbo.TSqlitePassDatabaseVersionInfo.Package^SqlitePassDbo.TSqlitePassDatabaseVersionInfo.html#Package^^ ^0"
s[334] = "SqlitePassDbo.TSqlitePassDatabaseVersionInfo.Schema^SqlitePassDbo.TSqlitePassDatabaseVersionInfo.html#Schema^^ ^0"
s[335] = "SqlitePassDbo.TSqlitePassDatabaseVersionInfo.SqliteLibrary^SqlitePassDbo.TSqlitePassDatabaseVersionInfo.html#SqliteLibrary^^ ^0"
s[336] = "SqlitePassDbo.TSqlitePassDatabaseVersionInfo.UserTag^SqlitePassDbo.TSqlitePassDatabaseVersionInfo.html#UserTag^^ ^0"
s[337] = "SqlitePassDbo.TSqlitePassDataset^SqlitePassDbo.TSqlitePassDataset.html^The <code>TSqlitePassDataset</code> is a link between your application and the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Database\">database</a> content.^ <code>TSqlitePassDataset</code> enables you to access tables, queries or even to <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Create\">create</a> direct <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#SQL\">SQL</a> queries to read and write data from/to your <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Database\">database</a>. ^0"
s[338] = "SqlitePassDbo.TSqlitePassDataset.Create^SqlitePassDbo.TSqlitePassDataset.html#Create^&mdash;&ndash; Constructor - Destructor &mdash;&ndash;^    ^0"
s[339] = "SqlitePassDbo.TSqlitePassDataset.Destroy^SqlitePassDbo.TSqlitePassDataset.html#Destroy^^    ^0"
s[340] = "SqlitePassDbo.TSqlitePassDataset.BookmarkValid^SqlitePassDbo.TSqlitePassDataset.html#BookmarkValid^&mdash;&ndash; Bookmarks &mdash;&ndash;^    ^0"
s[341] = "SqlitePassDbo.TSqlitePassDataset.CompareBookmarks^SqlitePassDbo.TSqlitePassDataset.html#CompareBookmarks^^    ^0"
s[342] = "SqlitePassDbo.TSqlitePassDataset.CreateBlobStream^SqlitePassDbo.TSqlitePassDataset.html#CreateBlobStream^&mdash;&ndash; Blobs &mdash;&ndash;^    ^0"
s[343] = "SqlitePassDbo.TSqlitePassDataset.GetFieldData^SqlitePassDbo.TSqlitePassDataset.html#GetFieldData^&mdash;&ndash; &mdash;&ndash;^    ^0"
s[344] = "SqlitePassDbo.TSqlitePassDataset.Locate^SqlitePassDbo.TSqlitePassDataset.html#Locate^&mdash;&ndash; <code>Locate</code> &mdash;&ndash;^    ^0"
s[345] = "SqlitePassDbo.TSqlitePassDataset.LocateFirst^SqlitePassDbo.TSqlitePassDataset.html#LocateFirst^^    ^0"
s[346] = "SqlitePassDbo.TSqlitePassDataset.LocateLast^SqlitePassDbo.TSqlitePassDataset.html#LocateLast^^    ^0"
s[347] = "SqlitePassDbo.TSqlitePassDataset.LocateNext^SqlitePassDbo.TSqlitePassDataset.html#LocateNext^^    ^0"
s[348] = "SqlitePassDbo.TSqlitePassDataset.LocatePrior^SqlitePassDbo.TSqlitePassDataset.html#LocatePrior^^    ^0"
s[349] = "SqlitePassDbo.TSqlitePassDataset.Lookup^SqlitePassDbo.TSqlitePassDataset.html#Lookup^&mdash;&ndash; <code>Lookup</code> &mdash;&ndash;^    ^0"
s[350] = "SqlitePassDbo.TSqlitePassDataset.LookupFirst^SqlitePassDbo.TSqlitePassDataset.html#LookupFirst^^    ^0"
s[351] = "SqlitePassDbo.TSqlitePassDataset.LookUpLast^SqlitePassDbo.TSqlitePassDataset.html#LookUpLast^^    ^0"
s[352] = "SqlitePassDbo.TSqlitePassDataset.LookupNext^SqlitePassDbo.TSqlitePassDataset.html#LookupNext^^    ^0"
s[353] = "SqlitePassDbo.TSqlitePassDataset.LookupPrior^SqlitePassDbo.TSqlitePassDataset.html#LookupPrior^^    ^0"
s[354] = "SqlitePassDbo.TSqlitePassDataset.ApplyChanges^SqlitePassDbo.TSqlitePassDataset.html#ApplyChanges^&mdash;&ndash; Apply or Cancel records modification if <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#WriteMode\">WriteMode</a> is wmPostpone &mdash;&ndash;^    ^0"
s[355] = "SqlitePassDbo.TSqlitePassDataset.ApplyFilter^SqlitePassDbo.TSqlitePassDataset.html#ApplyFilter^&mdash;&ndash; &mdash;&ndash;^    ^0"
s[356] = "SqlitePassDbo.TSqlitePassDataset.CancelChanges^SqlitePassDbo.TSqlitePassDataset.html#CancelChanges^^    ^0"
s[357] = "SqlitePassDbo.TSqlitePassDataset.CloseBlob^SqlitePassDbo.TSqlitePassDataset.html#CloseBlob^^    ^0"
s[358] = "SqlitePassDbo.TSqlitePassDataset.EmptyTable^SqlitePassDbo.TSqlitePassDataset.html#EmptyTable^^    ^0"
s[359] = "SqlitePassDbo.TSqlitePassDataset.Sort^SqlitePassDbo.TSqlitePassDataset.html#Sort^^    ^0"
s[360] = "SqlitePassDbo.TSqlitePassDataset.Active^SqlitePassDbo.TSqlitePassDataset.html#Active^Classic dataset behavior.^ When set to True, opens the dataset and displays data if dataware components are linked to the datasource. When set to False, closes the dataset and frees the memory used to store dataset records. ^0"
s[361] = "SqlitePassDbo.TSqlitePassDataset.AfterCancel^SqlitePassDbo.TSqlitePassDataset.html#AfterCancel^^ ^0"
s[362] = "SqlitePassDbo.TSqlitePassDataset.AfterClose^SqlitePassDbo.TSqlitePassDataset.html#AfterClose^^ ^0"
s[363] = "SqlitePassDbo.TSqlitePassDataset.AfterDelete^SqlitePassDbo.TSqlitePassDataset.html#AfterDelete^^ ^0"
s[364] = "SqlitePassDbo.TSqlitePassDataset.AfterEdit^SqlitePassDbo.TSqlitePassDataset.html#AfterEdit^^ ^0"
s[365] = "SqlitePassDbo.TSqlitePassDataset.AfterInsert^SqlitePassDbo.TSqlitePassDataset.html#AfterInsert^^ ^0"
s[366] = "SqlitePassDbo.TSqlitePassDataset.AfterOpen^SqlitePassDbo.TSqlitePassDataset.html#AfterOpen^^ ^0"
s[367] = "SqlitePassDbo.TSqlitePassDataset.AfterPost^SqlitePassDbo.TSqlitePassDataset.html#AfterPost^^ ^0"
s[368] = "SqlitePassDbo.TSqlitePassDataset.AfterScroll^SqlitePassDbo.TSqlitePassDataset.html#AfterScroll^^ ^0"
s[369] = "SqlitePassDbo.TSqlitePassDataset.AutoCalcFields^SqlitePassDbo.TSqlitePassDataset.html#AutoCalcFields^&mdash;^ ^0"
s[370] = "SqlitePassDbo.TSqlitePassDataset.BeforeCancel^SqlitePassDbo.TSqlitePassDataset.html#BeforeCancel^^ ^0"
s[371] = "SqlitePassDbo.TSqlitePassDataset.BeforeClose^SqlitePassDbo.TSqlitePassDataset.html#BeforeClose^^ ^0"
s[372] = "SqlitePassDbo.TSqlitePassDataset.BeforeDelete^SqlitePassDbo.TSqlitePassDataset.html#BeforeDelete^^ ^0"
s[373] = "SqlitePassDbo.TSqlitePassDataset.BeforeEdit^SqlitePassDbo.TSqlitePassDataset.html#BeforeEdit^^ ^0"
s[374] = "SqlitePassDbo.TSqlitePassDataset.BeforeInsert^SqlitePassDbo.TSqlitePassDataset.html#BeforeInsert^^ ^0"
s[375] = "SqlitePassDbo.TSqlitePassDataset.BeforeOpen^SqlitePassDbo.TSqlitePassDataset.html#BeforeOpen^&mdash;^ ^0"
s[376] = "SqlitePassDbo.TSqlitePassDataset.BeforePost^SqlitePassDbo.TSqlitePassDataset.html#BeforePost^^ ^0"
s[377] = "SqlitePassDbo.TSqlitePassDataset.BeforeScroll^SqlitePassDbo.TSqlitePassDataset.html#BeforeScroll^^ ^0"
s[378] = "SqlitePassDbo.TSqlitePassDataset.Database^SqlitePassDbo.TSqlitePassDataset.html#Database^Selects the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html\">TsqlitePassDatabase</a> component you want to depend on.^ ^0"
s[379] = "SqlitePassDbo.TSqlitePassDataset.DatabaseAutoActivate^SqlitePassDbo.TSqlitePassDataset.html#DatabaseAutoActivate^When set to True, opens automatically the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Database\">database</a> if needed.^ ^0"
s[380] = "SqlitePassDbo.TSqlitePassDataset.DatasetName^SqlitePassDbo.TSqlitePassDataset.html#DatasetName^Once you are connected to a <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Database\">database</a>, enters a table name or a query name.^ At design time, a dialog will let you choose your dataset among all the available <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Database\">database</a> datasets. ^0"
s[381] = "SqlitePassDbo.TSqlitePassDataset.DatasetType^SqlitePassDbo.TSqlitePassDataset.html#DatasetType^This property is only read.^ It gives you information about the currently selected dataset and can be one of the following values :    <p><b>dtUnkown</b> : The dataset type could not be recognized or the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#DatasetName\">DatasetName</a> property is empty.    <p><b>dtTable</b> : The dataset is a table.    <p><b>dtQuery</b> : The dataset is a query.    <p><b>dtView</b> : The dataset is a view.    <p><b>dtSqlDirect</b> : The <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#SQL\">SQL</a> property has been modified or you entered a new <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#SQL\">SQL</a> query. When the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#SQL\">SQL</a> text is changed, the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#DatasetName\">DatasetName</a> will automatically be set to '' assuming that the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#DatasetName\">DatasetName</a> and <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#SQL\">SQL</a> text don't match anymore. ^0"
s[382] = "SqlitePassDbo.TSqlitePassDataset.ExportMethod^SqlitePassDbo.TSqlitePassDataset.html#ExportMethod^^ ^0"
s[383] = "SqlitePassDbo.TSqlitePassDataset.Filter^SqlitePassDbo.TSqlitePassDataset.html#Filter^Classic dataset <code>filter</code> behavior.^ The <code>filter</code> property takes a <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#SQL\">SQL</a> WHERE clause but without the WHERE word at the begining. You can also use wildcard characters as discribed in the Sqlite help.    <p><i>Example1 : country = 'France'</i> <i>Example1 : customer like '%cur%'</i> ^0"
s[384] = "SqlitePassDbo.TSqlitePassDataset.Filtered^SqlitePassDbo.TSqlitePassDataset.html#Filtered^Determines whether or not the different filters are activated.^ The <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html\">TsqlitePassDataset</a> component can handle three <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Filter\">filter</a> levels that will be applied in this priority order :    <p>1 : <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#MasterFields\">MasterFields</a>/DetailFields property 2 : <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Filter\">Filter</a> property 3 : RecordLowerLimit/RecordUpperLimit properties ^0"
s[385] = "SqlitePassDbo.TSqlitePassDataset.FilterOptions^SqlitePassDbo.TSqlitePassDataset.html#FilterOptions^^ ^0"
s[386] = "SqlitePassDbo.TSqlitePassDataset.FilterRecordLowerLimit^SqlitePassDbo.TSqlitePassDataset.html#FilterRecordLowerLimit^<code>FilterRecordLowerLimit</code> is the lower limit of the range <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Filter\">filter</a>.^ If greater than 1, the -nth first records will not be retrieved. In other words, if FilterLowerLimit = 4, the fifth record will be the first one retrieved from the query. ^0"
s[387] = "SqlitePassDbo.TSqlitePassDataset.FilterRecordUpperLimit^SqlitePassDbo.TSqlitePassDataset.html#FilterRecordUpperLimit^<code>FilterRecordUpperLimit</code> is the upper limit of the range <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Filter\">filter</a>.^    <p>If greater than 1, the -nth first records will be retrieved. In other words, if FilterUpperLimit = 4 and FilterLowerLimit = 0 then only the four first records will be retrieved from the query.    <p>If lesser than 0, the -nth last records will be retrieved. In other words, if FilterUpperLimit = -9 and FilterLowerLimit = 0 then only the nine last records will be retrieved from the query. ^0"
s[388] = "SqlitePassDbo.TSqlitePassDataset.IndexDefs^SqlitePassDbo.TSqlitePassDataset.html#IndexDefs^The <code>IndexDefs</code> property gives you access to the indexes definitions for the selected table.^ Indexes are only available if the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#DatasetType\">DatasetType</a> is a 'dtTable' type. ^0"
s[389] = "SqlitePassDbo.TSqlitePassDataset.LocateMoveState^SqlitePassDbo.TSqlitePassDataset.html#LocateMoveState^^ ^0"
s[390] = "SqlitePassDbo.TSqlitePassDataset.LocateRecordCount^SqlitePassDbo.TSqlitePassDataset.html#LocateRecordCount^^ ^0"
s[391] = "SqlitePassDbo.TSqlitePassDataset.LocateSmartRefresh^SqlitePassDbo.TSqlitePassDataset.html#LocateSmartRefresh^^ ^0"
s[392] = "SqlitePassDbo.TSqlitePassDataset.LookUpCache^SqlitePassDbo.TSqlitePassDataset.html#LookUpCache^^ ^0"
s[393] = "SqlitePassDbo.TSqlitePassDataset.LookUpMaxRecordCount^SqlitePassDbo.TSqlitePassDataset.html#LookUpMaxRecordCount^^ ^0"
s[394] = "SqlitePassDbo.TSqlitePassDataset.LookUpOptions^SqlitePassDbo.TSqlitePassDataset.html#LookUpOptions^^ ^0"
s[395] = "SqlitePassDbo.TSqlitePassDataset.LookUpSmartRefresh^SqlitePassDbo.TSqlitePassDataset.html#LookUpSmartRefresh^^ ^0"
s[396] = "SqlitePassDbo.TSqlitePassDataset.MasterFields^SqlitePassDbo.TSqlitePassDataset.html#MasterFields^Classic table <code>MasterFields</code> behavior.^    <p>At design time, a dialog will let you <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Create\">create</a> or modify the relation between <code>MasterFields</code> and DetailFields.    <p>A relation is defined like this : MasterFieldName=DetailFieldName If you want set several relations, they must be separated by a ';' MasterFieldName1=DetailFieldName1;MasterFieldName2=DetailFieldName2 ^0"
s[397] = "SqlitePassDbo.TSqlitePassDataset.MasterSource^SqlitePassDbo.TSqlitePassDataset.html#MasterSource^Classic table <code>MasterSource</code> behavior.^ ^0"
s[398] = "SqlitePassDbo.TSqlitePassDataset.MasterSourceAutoActivate^SqlitePassDbo.TSqlitePassDataset.html#MasterSourceAutoActivate^^ ^0"
s[399] = "SqlitePassDbo.TSqlitePassDataset.OnCalcFields^SqlitePassDbo.TSqlitePassDataset.html#OnCalcFields^^ ^0"
s[400] = "SqlitePassDbo.TSqlitePassDataset.OnDeleteError^SqlitePassDbo.TSqlitePassDataset.html#OnDeleteError^^ ^0"
s[401] = "SqlitePassDbo.TSqlitePassDataset.OnEditError^SqlitePassDbo.TSqlitePassDataset.html#OnEditError^^ ^0"
s[402] = "SqlitePassDbo.TSqlitePassDataset.OnExportProgress^SqlitePassDbo.TSqlitePassDataset.html#OnExportProgress^Additionnal Events^ ^0"
s[403] = "SqlitePassDbo.TSqlitePassDataset.OnFilterRecord^SqlitePassDbo.TSqlitePassDataset.html#OnFilterRecord^^ ^0"
s[404] = "SqlitePassDbo.TSqlitePassDataset.OnImportProgress^SqlitePassDbo.TSqlitePassDataset.html#OnImportProgress^^ ^0"
s[405] = "SqlitePassDbo.TSqlitePassDataset.OnNewRecord^SqlitePassDbo.TSqlitePassDataset.html#OnNewRecord^^ ^0"
s[406] = "SqlitePassDbo.TSqlitePassDataset.OnPostError^SqlitePassDbo.TSqlitePassDataset.html#OnPostError^^ ^0"
s[407] = "SqlitePassDbo.TSqlitePassDataset.ParamCheck^SqlitePassDbo.TSqlitePassDataset.html#ParamCheck^^ ^0"
s[408] = "SqlitePassDbo.TSqlitePassDataset.ParamCount^SqlitePassDbo.TSqlitePassDataset.html#ParamCount^&mdash;&ndash; Properties &mdash;&ndash;^ ^0"
s[409] = "SqlitePassDbo.TSqlitePassDataset.Params^SqlitePassDbo.TSqlitePassDataset.html#Params^^ ^0"
s[410] = "SqlitePassDbo.TSqlitePassDataset.ProcessMessages^SqlitePassDbo.TSqlitePassDataset.html#ProcessMessages^^ ^0"
s[411] = "SqlitePassDbo.TSqlitePassDataset.ReadOnly^SqlitePassDbo.TSqlitePassDataset.html#ReadOnly^^ ^0"
s[412] = "SqlitePassDbo.TSqlitePassDataset.RecordsCacheCapacity^SqlitePassDbo.TSqlitePassDataset.html#RecordsCacheCapacity^^ ^0"
s[413] = "SqlitePassDbo.TSqlitePassDataset.SortCaclFields^SqlitePassDbo.TSqlitePassDataset.html#SortCaclFields^^ ^0"
s[414] = "SqlitePassDbo.TSqlitePassDataset.Sorted^SqlitePassDbo.TSqlitePassDataset.html#Sorted^Determines whether or not the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#SortedBy\">sortedBy</a> property is activated.^ ^0"
s[415] = "SqlitePassDbo.TSqlitePassDataset.SortedBy^SqlitePassDbo.TSqlitePassDataset.html#SortedBy^The <code>SortedBy</code> property takes a <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#SQL\">SQL</a> ORDERBY clause but without the 'ORDER BY' expression at the begining.^ At design time, a dialog will let you <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Create\">create</a> or modify the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Sort\">sort</a> order.    <p><i>Example : 'car_names ASC, car_types DESC'.</i> ^0"
s[416] = "SqlitePassDbo.TSqlitePassDataset.SortMode^SqlitePassDbo.TSqlitePassDataset.html#SortMode^^ ^0"
s[417] = "SqlitePassDbo.TSqlitePassDataset.SQL^SqlitePassDbo.TSqlitePassDataset.html#SQL^<code>SQL</code> represents the <code>SQL</code> statement used to retrieve data from the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Database\">database</a>.^    <p>For tables, it will automatically be set to :    <p><code>SELECT * FROM TableName;</code> if all fields need to be retrieved from the table, or to :    <p><code>SELECT field1, field2... FROM TableName;</code> if only some fields need to be retrieved from the table.    <p>For queries, it will reflect the query <code>SQL</code> statement. You can also directly write your own <code>SQL</code> statement to fit your needs or to interact directly with the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#Database\">database</a>. In this case, the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#DatasetName\">datasetname</a> propery will be set to '' (empty) and the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html#DatasetType\">datasetType</a> will be set to dtDirectSql. ^0"
s[418] = "SqlitePassDbo.TSqlitePassDataset.SQLSelectStmt^SqlitePassDbo.TSqlitePassDataset.html#SQLSelectStmt^^ ^0"
s[419] = "SqlitePassDbo.TSqlitePassDataset.VersionInfo^SqlitePassDbo.TSqlitePassDataset.html#VersionInfo^^ ^0"
s[420] = "SqlitePassDbo.TSqlitePassDataset.WriteMode^SqlitePassDbo.TSqlitePassDataset.html#WriteMode^^ ^0"
s[421] = "SqlitePassDbo.TSqlitePassDatasetIndex^SqlitePassDbo.TSqlitePassDatasetIndex.html^^ ^0"
s[422] = "SqlitePassDbo.TSqlitePassDatasetIndex.Create^SqlitePassDbo.TSqlitePassDatasetIndex.html#Create^^    ^0"
s[423] = "SqlitePassDbo.TSqlitePassDatasetIndex.Destroy^SqlitePassDbo.TSqlitePassDatasetIndex.html#Destroy^^    ^0"
s[424] = "SqlitePassDbo.TSqlitePassDatasetIndex.DeleteIndex^SqlitePassDbo.TSqlitePassDatasetIndex.html#DeleteIndex^^    ^0"
s[425] = "SqlitePassDbo.TSqlitePassDatasetIndex.Reindex^SqlitePassDbo.TSqlitePassDatasetIndex.html#Reindex^^    ^0"
s[426] = "SqlitePassDbo.TSqlitePassDatasetIndexDefs^SqlitePassDbo.TSqlitePassDatasetIndexDefs.html^^ ^0"
s[427] = "SqlitePassDbo.TSqlitePassDatasetIndexDefs.Create^SqlitePassDbo.TSqlitePassDatasetIndexDefs.html#Create^^    ^0"
s[428] = "SqlitePassDbo.TSqlitePassDatasetIndexDefs.Destroy^SqlitePassDbo.TSqlitePassDatasetIndexDefs.html#Destroy^^    ^0"
s[429] = "SqlitePassDbo.TSqlitePassDatasetIndexDefs.RefreshFromCache^SqlitePassDbo.TSqlitePassDatasetIndexDefs.html#RefreshFromCache^^    ^0"
s[430] = "SqlitePassDbo.TSqlitePassDatasetIndexDefs.Count^SqlitePassDbo.TSqlitePassDatasetIndexDefs.html#Count^^ ^0"
s[431] = "SqlitePassDbo.TSqlitePassDatasetIndexDefs.Items^SqlitePassDbo.TSqlitePassDatasetIndexDefs.html#Items^^ ^0"
s[432] = "SqlitePassDbo.TSqlitePassDatasets^SqlitePassDbo.TSqlitePassDatasets.html^<code>TSqlitePassDatasets</code> : Maintain a list of all datasets connected to the database^ ^0"
s[433] = "SqlitePassDbo.TSqlitePassDatasets.Create^SqlitePassDbo.TSqlitePassDatasets.html#Create^^    ^0"
s[434] = "SqlitePassDbo.TSqlitePassDatasets.Destroy^SqlitePassDbo.TSqlitePassDatasets.html#Destroy^^    ^0"
s[435] = "SqlitePassDbo.TSqlitePassDatasets.DatasetByName^SqlitePassDbo.TSqlitePassDatasets.html#DatasetByName^^    ^0"
s[436] = "SqlitePassDbo.TSqlitePassDatasets.FindDataset^SqlitePassDbo.TSqlitePassDatasets.html#FindDataset^^    ^0"
s[437] = "SqlitePassDbo.TSqlitePassDatasets.Close^SqlitePassDbo.TSqlitePassDatasets.html#Close^^    ^0"
s[438] = "SqlitePassDbo.TSqlitePassDatasets.Count^SqlitePassDbo.TSqlitePassDatasets.html#Count^^ ^0"
s[439] = "SqlitePassDbo.TSqlitePassDatasets.Items^SqlitePassDbo.TSqlitePassDatasets.html#Items^^ ^0"
s[440] = "SqlitePassDbo.TSqlitePassDatasetVersionInfo^SqlitePassDbo.TSqlitePassDatasetVersionInfo.html^^ ^0"
s[441] = "SqlitePassDbo.TSqlitePassDatasetVersionInfo.Create^SqlitePassDbo.TSqlitePassDatasetVersionInfo.html#Create^^    ^0"
s[442] = "SqlitePassDbo.TSqlitePassDatasetVersionInfo.Component^SqlitePassDbo.TSqlitePassDatasetVersionInfo.html#Component^^ ^0"
s[443] = "SqlitePassDbo.TSqlitePassDatasetVersionInfo.Package^SqlitePassDbo.TSqlitePassDatasetVersionInfo.html#Package^^ ^0"
s[444] = "SqlitePassDbo.TSqlitePassEngine^SqlitePassDbo.TSqlitePassEngine.html^^ ^0"
s[445] = "SqlitePassDbo.TSqlitePassEngine.Create^SqlitePassDbo.TSqlitePassEngine.html#Create^^    ^0"
s[446] = "SqlitePassDbo.TSqlitePassEngine.Destroy^SqlitePassDbo.TSqlitePassEngine.html#Destroy^^    ^0"
s[447] = "SqlitePassDbo.TSqlitePassEngine.CheckResult^SqlitePassDbo.TSqlitePassEngine.html#CheckResult^^    ^0"
s[448] = "SqlitePassDbo.TSqlitePassEngine.ExecQuery^SqlitePassDbo.TSqlitePassEngine.html#ExecQuery^^    ^0"
s[449] = "SqlitePassDbo.TSqlitePassEngine.ExecSQL^SqlitePassDbo.TSqlitePassEngine.html#ExecSQL^&mdash;&mdash;&mdash;&mdash;- Sql Exec &mdash;&mdash;&mdash;&mdash;&mdash;-^    ^0"
s[450] = "SqlitePassDbo.TSqlitePassEngine.GetLastInsertRowId^SqlitePassDbo.TSqlitePassEngine.html#GetLastInsertRowId^^    ^0"
s[451] = "SqlitePassDbo.TSqlitePassEngine.LoadSqliteLibrary^SqlitePassDbo.TSqlitePassEngine.html#LoadSqliteLibrary^&mdash;&mdash;&mdash;&mdash; Library &mdash;&mdash;&mdash;&mdash;&mdash;&ndash;^    ^0"
s[452] = "SqlitePassDbo.TSqlitePassEngine.PrepareStmt^SqlitePassDbo.TSqlitePassEngine.html#PrepareStmt^&mdash;&mdash;&ndash; SQL Statements &mdash;&mdash;&mdash;&ndash;^    ^0"
s[453] = "SqlitePassDbo.TSqlitePassEngine.UnprepareStmt^SqlitePassDbo.TSqlitePassEngine.html#UnprepareStmt^^    ^0"
s[454] = "SqlitePassDbo.TSqlitePassEngine.CloseDatabase^SqlitePassDbo.TSqlitePassEngine.html#CloseDatabase^^    ^0"
s[455] = "SqlitePassDbo.TSqlitePassEngine.FinalizePendingStmts^SqlitePassDbo.TSqlitePassEngine.html#FinalizePendingStmts^^    ^0"
s[456] = "SqlitePassDbo.TSqlitePassEngine.OpenDatabase^SqlitePassDbo.TSqlitePassEngine.html#OpenDatabase^&mdash;&mdash;&mdash;&mdash;- Database &mdash;&mdash;&mdash;&mdash;&mdash;-^    ^0"
s[457] = "SqlitePassDbo.TSqlitePassEngine.StartChrono^SqlitePassDbo.TSqlitePassEngine.html#StartChrono^Chrono^    ^0"
s[458] = "SqlitePassDbo.TSqlitePassEngine.StopChrono^SqlitePassDbo.TSqlitePassEngine.html#StopChrono^^    ^0"
s[459] = "SqlitePassDbo.TSqlitePassEngine.Connection^SqlitePassDbo.TSqlitePassEngine.html#Connection^^ ^0"
s[460] = "SqlitePassDbo.TSqlitePassEngine.ElapsedTime^SqlitePassDbo.TSqlitePassEngine.html#ElapsedTime^^ ^0"
s[461] = "SqlitePassDbo.TSqlitePassEngine.QueryTimeout^SqlitePassDbo.TSqlitePassEngine.html#QueryTimeout^^ ^0"
s[462] = "SqlitePassDbo.TSqlitePassEngine.Transaction^SqlitePassDbo.TSqlitePassEngine.html#Transaction^Transactions.^ Sqlite engine supports only one active <code>transaction</code> at the same time. In other words, you can't use nested transactions. The <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassTransaction.html\">TSqlitePassTransaction</a> object will automatically handle this, so any attempt to start a <code>transaction</code> while one is running will have no effect. Transactions are really helpfull to speed up and secure data operations. You should use them as often as you can. If no <code>transaction</code> is active, the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html\">TSqlitePassDatabase</a> will always try to start a new <code>transaction</code> before writing to the database and commit it. This could be time consuming if you need to update or add many records at the same time and you should proceed like this : <code> Database.Transaction.Start; ... Your code here to update or <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassEngine.html#Create\">create</a> records; ... Database.Transaction.Commit;</code> ^0"
s[463] = "SqlitePassDbo.TSqlitePassFieldTypesTranslationRules^SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.html^<code>TSqlitePassFieldTypesTranslationRules</code>^ ^0"
s[464] = "SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.Create^SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.html#Create^^    ^0"
s[465] = "SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.Destroy^SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.html#Destroy^^    ^0"
s[466] = "SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.Add^SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.html#Add^^    ^0"
s[467] = "SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.ClearAndFreeItems^SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.html#ClearAndFreeItems^^    ^0"
s[468] = "SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.SetDefaultTranslationRules^SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.html#SetDefaultTranslationRules^^    ^0"
s[469] = "SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.SetFieldDataType^SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.html#SetFieldDataType^^    ^0"
s[470] = "SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.Items^SqlitePassDbo.TSqlitePassFieldTypesTranslationRules.html#Items^^ ^0"
s[471] = "SqlitePassDbo.TSqlitePassFieldTypeTranslationRule^SqlitePassDbo.TSqlitePassFieldTypeTranslationRule.html^<code>TSqlitePassFieldTypeTranslationRule</code>.^ Database FieldTypes mapping to Pascal FieldTypes ^0"
s[472] = "SqlitePassDbo.TSqlitePassFieldTypeTranslationRule.DatatypeName^SqlitePassDbo.TSqlitePassFieldTypeTranslationRule.html#DatatypeName^^ ^0"
s[473] = "SqlitePassDbo.TSqlitePassFieldTypeTranslationRule.FieldType^SqlitePassDbo.TSqlitePassFieldTypeTranslationRule.html#FieldType^^ ^0"
s[474] = "SqlitePassDbo.TSqlitePassFieldTypeTranslationRule.MappingMode^SqlitePassDbo.TSqlitePassFieldTypeTranslationRule.html#MappingMode^^ ^0"
s[475] = "SqlitePassDbo.TSqlitePassGenericFieldDef^SqlitePassDbo.TSqlitePassGenericFieldDef.html^^ ^0"
s[476] = "SqlitePassDbo.TSqlitePassGenericFieldDef.AutoInc^SqlitePassDbo.TSqlitePassGenericFieldDef.html#AutoInc^^ ^0"
s[477] = "SqlitePassDbo.TSqlitePassGenericFieldDef.DataType^SqlitePassDbo.TSqlitePassGenericFieldDef.html#DataType^write is enabled to force a <code>DataType</code> conversion^ ^0"
s[478] = "SqlitePassDbo.TSqlitePassGenericFieldDef.DefaultValue^SqlitePassDbo.TSqlitePassGenericFieldDef.html#DefaultValue^^ ^0"
s[479] = "SqlitePassDbo.TSqlitePassGenericFieldDef.DisplayName^SqlitePassDbo.TSqlitePassGenericFieldDef.html#DisplayName^write is enabled to enable changing default display name^ ^0"
s[480] = "SqlitePassDbo.TSqlitePassGenericFieldDef.FieldName^SqlitePassDbo.TSqlitePassGenericFieldDef.html#FieldName^^ ^0"
s[481] = "SqlitePassDbo.TSqlitePassGenericFieldDef.ForeignKey^SqlitePassDbo.TSqlitePassGenericFieldDef.html#ForeignKey^^ ^0"
s[482] = "SqlitePassDbo.TSqlitePassGenericFieldDef.Hint^SqlitePassDbo.TSqlitePassGenericFieldDef.html#Hint^write is enabled to enable changing default <code>hint</code> message^ ^0"
s[483] = "SqlitePassDbo.TSqlitePassGenericFieldDef.Indexed^SqlitePassDbo.TSqlitePassGenericFieldDef.html#Indexed^^ ^0"
s[484] = "SqlitePassDbo.TSqlitePassGenericFieldDef.NativeDataType^SqlitePassDbo.TSqlitePassGenericFieldDef.html#NativeDataType^Property InternalPrimaryKey: Boolean Read FInternalPrimaryKey;^ ^0"
s[485] = "SqlitePassDbo.TSqlitePassGenericFieldDef.NativeDataTypeCode^SqlitePassDbo.TSqlitePassGenericFieldDef.html#NativeDataTypeCode^^ ^0"
s[486] = "SqlitePassDbo.TSqlitePassGenericFieldDef.NoConstraints^SqlitePassDbo.TSqlitePassGenericFieldDef.html#NoConstraints^^ ^0"
s[487] = "SqlitePassDbo.TSqlitePassGenericFieldDef.NotEmpty^SqlitePassDbo.TSqlitePassGenericFieldDef.html#NotEmpty^^ ^0"
s[488] = "SqlitePassDbo.TSqlitePassGenericFieldDef.NotNull^SqlitePassDbo.TSqlitePassGenericFieldDef.html#NotNull^^ ^0"
s[489] = "SqlitePassDbo.TSqlitePassGenericFieldDef.Precision^SqlitePassDbo.TSqlitePassGenericFieldDef.html#Precision^^ ^0"
s[490] = "SqlitePassDbo.TSqlitePassGenericFieldDef.PrimaryKey^SqlitePassDbo.TSqlitePassGenericFieldDef.html#PrimaryKey^^ ^0"
s[491] = "SqlitePassDbo.TSqlitePassGenericFieldDef.RecordFieldIndex^SqlitePassDbo.TSqlitePassGenericFieldDef.html#RecordFieldIndex^The internal FieldIndex(Field Position in <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassRecordset.html\">TSqlitePassRecordset</a> Record)^ ^0"
s[492] = "SqlitePassDbo.TSqlitePassGenericFieldDef.Size^SqlitePassDbo.TSqlitePassGenericFieldDef.html#Size^^ ^0"
s[493] = "SqlitePassDbo.TSqlitePassGenericFieldDef.TableFieldNo^SqlitePassDbo.TSqlitePassGenericFieldDef.html#TableFieldNo^^ ^0"
s[494] = "SqlitePassDbo.TSqlitePassGenericFieldDef.Unique^SqlitePassDbo.TSqlitePassGenericFieldDef.html#Unique^^ ^0"
s[495] = "SqlitePassDbo.TSqlitePassGenericTableDef^SqlitePassDbo.TSqlitePassGenericTableDef.html^TableDefs^ ^0"
s[496] = "SqlitePassDbo.TSqlitePassGenericTableDef.Assign^SqlitePassDbo.TSqlitePassGenericTableDef.html#Assign^^    ^0"
s[497] = "SqlitePassDbo.TSqlitePassGenericTableDef.AliasName^SqlitePassDbo.TSqlitePassGenericTableDef.html#AliasName^^ ^0"
s[498] = "SqlitePassDbo.TSqlitePassGenericTableDef.Attached^SqlitePassDbo.TSqlitePassGenericTableDef.html#Attached^^ ^0"
s[499] = "SqlitePassDbo.TSqlitePassGenericTableDef.CanModify^SqlitePassDbo.TSqlitePassGenericTableDef.html#CanModify^^ ^0"
s[500] = "SqlitePassDbo.TSqlitePassGenericTableDef.OnConlict^SqlitePassDbo.TSqlitePassGenericTableDef.html#OnConlict^^ ^0"
s[501] = "SqlitePassDbo.TSqlitePassGenericTableDef.Sql^SqlitePassDbo.TSqlitePassGenericTableDef.html#Sql^^ ^0"
s[502] = "SqlitePassDbo.TSqlitePassGenericTableDef.TableFullName^SqlitePassDbo.TSqlitePassGenericTableDef.html#TableFullName^^ ^0"
s[503] = "SqlitePassDbo.TSqlitePassGenericTableDef.TableName^SqlitePassDbo.TSqlitePassGenericTableDef.html#TableName^^ ^0"
s[504] = "SqlitePassDbo.TSqlitePassGenericTableDef.Temporary^SqlitePassDbo.TSqlitePassGenericTableDef.html#Temporary^^ ^0"
s[505] = "SqlitePassDbo.TSqlitePassIndex^SqlitePassDbo.TSqlitePassIndex.html^^ ^0"
s[506] = "SqlitePassDbo.TSqlitePassIndex.Create^SqlitePassDbo.TSqlitePassIndex.html#Create^^    ^0"
s[507] = "SqlitePassDbo.TSqlitePassIndex.Destroy^SqlitePassDbo.TSqlitePassIndex.html#Destroy^^    ^0"
s[508] = "SqlitePassDbo.TSqlitePassIndex.Assign^SqlitePassDbo.TSqlitePassIndex.html#Assign^^    ^0"
s[509] = "SqlitePassDbo.TSqlitePassIndex.Attached^SqlitePassDbo.TSqlitePassIndex.html#Attached^^ ^0"
s[510] = "SqlitePassDbo.TSqlitePassIndex.Columns^SqlitePassDbo.TSqlitePassIndex.html#Columns^^ ^0"
s[511] = "SqlitePassDbo.TSqlitePassIndex.IndexFullName^SqlitePassDbo.TSqlitePassIndex.html#IndexFullName^^ ^0"
s[512] = "SqlitePassDbo.TSqlitePassIndex.IndexName^SqlitePassDbo.TSqlitePassIndex.html#IndexName^^ ^0"
s[513] = "SqlitePassDbo.TSqlitePassIndex.Sql^SqlitePassDbo.TSqlitePassIndex.html#Sql^^ ^0"
s[514] = "SqlitePassDbo.TSqlitePassIndex.TableName^SqlitePassDbo.TSqlitePassIndex.html#TableName^^ ^0"
s[515] = "SqlitePassDbo.TSqlitePassIndex.Unique^SqlitePassDbo.TSqlitePassIndex.html#Unique^^ ^0"
s[516] = "SqlitePassDbo.TSqlitePassIndexColumn^SqlitePassDbo.TSqlitePassIndexColumn.html^^ ^0"
s[517] = "SqlitePassDbo.TSqlitePassIndexColumn.CollatingSequence^SqlitePassDbo.TSqlitePassIndexColumn.html#CollatingSequence^^ ^0"
s[518] = "SqlitePassDbo.TSqlitePassIndexColumn.ColumnName^SqlitePassDbo.TSqlitePassIndexColumn.html#ColumnName^^ ^0"
s[519] = "SqlitePassDbo.TSqlitePassIndexColumn.Direction^SqlitePassDbo.TSqlitePassIndexColumn.html#Direction^^ ^0"
s[520] = "SqlitePassDbo.TSqlitePassIndexColumn.Position^SqlitePassDbo.TSqlitePassIndexColumn.html#Position^^ ^0"
s[521] = "SqlitePassDbo.TSqlitePassIndexColumn.Assign^SqlitePassDbo.TSqlitePassIndexColumn.html#Assign^^    ^0"
s[522] = "SqlitePassDbo.TSqlitePassIndexColumns^SqlitePassDbo.TSqlitePassIndexColumns.html^^ ^0"
s[523] = "SqlitePassDbo.TSqlitePassIndexColumns.Create^SqlitePassDbo.TSqlitePassIndexColumns.html#Create^^    ^0"
s[524] = "SqlitePassDbo.TSqlitePassIndexColumns.Destroy^SqlitePassDbo.TSqlitePassIndexColumns.html#Destroy^^    ^0"
s[525] = "SqlitePassDbo.TSqlitePassIndexColumns.ColumnByName^SqlitePassDbo.TSqlitePassIndexColumns.html#ColumnByName^^    ^0"
s[526] = "SqlitePassDbo.TSqlitePassIndexColumns.FindColumn^SqlitePassDbo.TSqlitePassIndexColumns.html#FindColumn^^    ^0"
s[527] = "SqlitePassDbo.TSqlitePassIndexColumns.AddColumns^SqlitePassDbo.TSqlitePassIndexColumns.html#AddColumns^^    ^0"
s[528] = "SqlitePassDbo.TSqlitePassIndexColumns.Assign^SqlitePassDbo.TSqlitePassIndexColumns.html#Assign^^    ^0"
s[529] = "SqlitePassDbo.TSqlitePassIndexColumns.Count^SqlitePassDbo.TSqlitePassIndexColumns.html#Count^^ ^0"
s[530] = "SqlitePassDbo.TSqlitePassIndexColumns.Items^SqlitePassDbo.TSqlitePassIndexColumns.html#Items^^ ^0"
s[531] = "SqlitePassDbo.TSqlitePassQueryDef^SqlitePassDbo.TSqlitePassQueryDef.html^QueryDefs^ ^0"
s[532] = "SqlitePassDbo.TSqlitePassQueryDef.Create^SqlitePassDbo.TSqlitePassQueryDef.html#Create^^    ^0"
s[533] = "SqlitePassDbo.TSqlitePassQueryDef.Destroy^SqlitePassDbo.TSqlitePassQueryDef.html#Destroy^^    ^0"
s[534] = "SqlitePassDbo.TSqlitePassQueryDef.Assign^SqlitePassDbo.TSqlitePassQueryDef.html#Assign^^    ^0"
s[535] = "SqlitePassDbo.TSqlitePassQueryDef.DeleteQuery^SqlitePassDbo.TSqlitePassQueryDef.html#DeleteQuery^^    ^0"
s[536] = "SqlitePassDbo.TSqlitePassQueryDef.RenameAs^SqlitePassDbo.TSqlitePassQueryDef.html#RenameAs^^    ^0"
s[537] = "SqlitePassDbo.TSqlitePassQueryDef.Attached^SqlitePassDbo.TSqlitePassQueryDef.html#Attached^^ ^0"
s[538] = "SqlitePassDbo.TSqlitePassQueryDef.Fields^SqlitePassDbo.TSqlitePassQueryDef.html#Fields^^ ^0"
s[539] = "SqlitePassDbo.TSqlitePassQueryDef.Params^SqlitePassDbo.TSqlitePassQueryDef.html#Params^^ ^0"
s[540] = "SqlitePassDbo.TSqlitePassQueryDef.QueryFullName^SqlitePassDbo.TSqlitePassQueryDef.html#QueryFullName^^ ^0"
s[541] = "SqlitePassDbo.TSqlitePassQueryDef.QueryName^SqlitePassDbo.TSqlitePassQueryDef.html#QueryName^^ ^0"
s[542] = "SqlitePassDbo.TSqlitePassQueryDef.Sql^SqlitePassDbo.TSqlitePassQueryDef.html#Sql^^ ^0"
s[543] = "SqlitePassDbo.TSqlitePassQueryDefs^SqlitePassDbo.TSqlitePassQueryDefs.html^^ ^0"
s[544] = "SqlitePassDbo.TSqlitePassQueryDefs.Create^SqlitePassDbo.TSqlitePassQueryDefs.html#Create^^    ^0"
s[545] = "SqlitePassDbo.TSqlitePassQueryDefs.Destroy^SqlitePassDbo.TSqlitePassQueryDefs.html#Destroy^^    ^0"
s[546] = "SqlitePassDbo.TSqlitePassQueryDefs.FindQuery^SqlitePassDbo.TSqlitePassQueryDefs.html#FindQuery^^    ^0"
s[547] = "SqlitePassDbo.TSqlitePassQueryDefs.QueryByName^SqlitePassDbo.TSqlitePassQueryDefs.html#QueryByName^^    ^0"
s[548] = "SqlitePassDbo.TSqlitePassQueryDefs.AddQueryDefs^SqlitePassDbo.TSqlitePassQueryDefs.html#AddQueryDefs^^    ^0"
s[549] = "SqlitePassDbo.TSqlitePassQueryDefs.Assign^SqlitePassDbo.TSqlitePassQueryDefs.html#Assign^^    ^0"
s[550] = "SqlitePassDbo.TSqlitePassQueryDefs.CreateQuery^SqlitePassDbo.TSqlitePassQueryDefs.html#CreateQuery^^    ^0"
s[551] = "SqlitePassDbo.TSqlitePassQueryDefs.DeleteQuery^SqlitePassDbo.TSqlitePassQueryDefs.html#DeleteQuery^^    ^0"
s[552] = "SqlitePassDbo.TSqlitePassQueryDefs.Refresh^SqlitePassDbo.TSqlitePassQueryDefs.html#Refresh^^    ^0"
s[553] = "SqlitePassDbo.TSqlitePassQueryDefs.Count^SqlitePassDbo.TSqlitePassQueryDefs.html#Count^^ ^0"
s[554] = "SqlitePassDbo.TSqlitePassQueryDefs.Items^SqlitePassDbo.TSqlitePassQueryDefs.html#Items^^ ^0"
s[555] = "SqlitePassDbo.TSqlitePassRecordset^SqlitePassDbo.TSqlitePassRecordset.html^Internal cache holding the records returned by a table/query It is designed to provide data to <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html\">TSqlitePassDataset</a>^ ^0"
s[556] = "SqlitePassDbo.TSqlitePassRecordset.Create^SqlitePassDbo.TSqlitePassRecordset.html#Create^^    ^0"
s[557] = "SqlitePassDbo.TSqlitePassRecordset.Create^SqlitePassDbo.TSqlitePassRecordset.html#Create^&mdash; Constructor / Destructor &mdash;^    ^0"
s[558] = "SqlitePassDbo.TSqlitePassRecordset.Destroy^SqlitePassDbo.TSqlitePassRecordset.html#Destroy^^    ^0"
s[559] = "SqlitePassDbo.TSqlitePassSelectStmt^SqlitePassDbo.TSqlitePassSelectStmt.html^^ ^0"
s[560] = "SqlitePassDbo.TSqlitePassSelectStmt.Create^SqlitePassDbo.TSqlitePassSelectStmt.html#Create^^    ^0"
s[561] = "SqlitePassDbo.TSqlitePassSelectStmt.Destroy^SqlitePassDbo.TSqlitePassSelectStmt.html#Destroy^^    ^0"
s[562] = "SqlitePassDbo.TSqlitePassSelectStmt.BuildSchema^SqlitePassDbo.TSqlitePassSelectStmt.html#BuildSchema^Buid an internal representation of the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLStmt.html#SQL\">SQL</a> Statement^    ^0"
s[563] = "SqlitePassDbo.TSqlitePassSelectStmt.Post^SqlitePassDbo.TSqlitePassSelectStmt.html#Post^^    ^0"
s[564] = "SqlitePassDbo.TSqlitePassSelectStmt.Prepare^SqlitePassDbo.TSqlitePassSelectStmt.html#Prepare^<code>Prepare</code> the statement and send it to the engine^    ^0"
s[565] = "SqlitePassDbo.TSqlitePassSelectStmt.UnPrepare^SqlitePassDbo.TSqlitePassSelectStmt.html#UnPrepare^Release the prepared statement from the engine^    ^0"
s[566] = "SqlitePassDbo.TSqlitePassSelectStmt.FieldDefs^SqlitePassDbo.TSqlitePassSelectStmt.html#FieldDefs^^ ^0"
s[567] = "SqlitePassDbo.TSqlitePassSelectStmt.TableDefs^SqlitePassDbo.TSqlitePassSelectStmt.html#TableDefs^^ ^0"
s[568] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDef^SqlitePassDbo.TSqlitePassSelectStmtFieldDef.html^^ ^0"
s[569] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDef.Create^SqlitePassDbo.TSqlitePassSelectStmtFieldDef.html#Create^^    ^0"
s[570] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDef.Destroy^SqlitePassDbo.TSqlitePassSelectStmtFieldDef.html#Destroy^^    ^0"
s[571] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDef.Assign^SqlitePassDbo.TSqlitePassSelectStmtFieldDef.html#Assign^^    ^0"
s[572] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDef.FieldDefs^SqlitePassDbo.TSqlitePassSelectStmtFieldDef.html#FieldDefs^^ ^0"
s[573] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDef.FieldFullName^SqlitePassDbo.TSqlitePassSelectStmtFieldDef.html#FieldFullName^^ ^0"
s[574] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDefs^SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.html^^ ^0"
s[575] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.Create^SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.html#Create^^    ^0"
s[576] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.Destroy^SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.html#Destroy^^    ^0"
s[577] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.Assign^SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.html#Assign^^    ^0"
s[578] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.Count^SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.html#Count^^ ^0"
s[579] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.Items^SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.html#Items^^ ^0"
s[580] = "SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.TableDef^SqlitePassDbo.TSqlitePassSelectStmtFieldDefs.html#TableDef^^ ^0"
s[581] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html^^ ^0"
s[582] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.Create^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#Create^^    ^0"
s[583] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.Destroy^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#Destroy^^    ^0"
s[584] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.Assign^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#Assign^procedure <code>Assign</code>(Source: <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSelectStmtTableDef.html\">TSqlitePassSelectStmtTableDef</a>; AttachedDatabase: <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabaseAttached.html\">TSqlitePassDatabaseAttached</a> = nil);^    ^0"
s[585] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.PostDelete^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#PostDelete^^    ^0"
s[586] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.PostInsert^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#PostInsert^^    ^0"
s[587] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.PostUpdate^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#PostUpdate^^    ^0"
s[588] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.PrepareInsertDeleteSQLStmts^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#PrepareInsertDeleteSQLStmts^^    ^0"
s[589] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.UnprepareSQLStmts^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#UnprepareSQLStmts^^    ^0"
s[590] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.AvailableOperations^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#AvailableOperations^^ ^0"
s[591] = "SqlitePassDbo.TSqlitePassSelectStmtTableDef.FieldDefs^SqlitePassDbo.TSqlitePassSelectStmtTableDef.html#FieldDefs^^ ^0"
s[592] = "SqlitePassDbo.TSqlitePassSelectStmtTableDefs^SqlitePassDbo.TSqlitePassSelectStmtTableDefs.html^^ ^0"
s[593] = "SqlitePassDbo.TSqlitePassSelectStmtTableDefs.Create^SqlitePassDbo.TSqlitePassSelectStmtTableDefs.html#Create^^    ^0"
s[594] = "SqlitePassDbo.TSqlitePassSelectStmtTableDefs.Destroy^SqlitePassDbo.TSqlitePassSelectStmtTableDefs.html#Destroy^^    ^0"
s[595] = "SqlitePassDbo.TSqlitePassSelectStmtTableDefs.FindTable^SqlitePassDbo.TSqlitePassSelectStmtTableDefs.html#FindTable^^    ^0"
s[596] = "SqlitePassDbo.TSqlitePassSelectStmtTableDefs.Count^SqlitePassDbo.TSqlitePassSelectStmtTableDefs.html#Count^^ ^0"
s[597] = "SqlitePassDbo.TSqlitePassSelectStmtTableDefs.Items^SqlitePassDbo.TSqlitePassSelectStmtTableDefs.html#Items^^ ^0"
s[598] = "SqlitePassDbo.TSqlitePassSortedField^SqlitePassDbo.TSqlitePassSortedField.html^Internal Object to Keep information on sorted fields^ ^0"
s[599] = "SqlitePassDbo.TSqlitePassSortedField.Descendant^SqlitePassDbo.TSqlitePassSortedField.html#Descendant^Field Index^ ^0"
s[600] = "SqlitePassDbo.TSqlitePassSortedField.FieldIndex^SqlitePassDbo.TSqlitePassSortedField.html#FieldIndex^^ ^0"
s[601] = "SqlitePassDbo.TSqlitePassSortedField.FieldName^SqlitePassDbo.TSqlitePassSortedField.html#FieldName^^ ^0"
s[602] = "SqlitePassDbo.TSqlitePassSQLSections^SqlitePassDbo.TSqlitePassSQLSections.html^The <code>TSqlitePassSQLSections</code> is an utility object used to : Split a SQL statement into a list of string for each SQL Keyword^ ^0"
s[603] = "SqlitePassDbo.TSqlitePassSQLSections.GetSectionText^SqlitePassDbo.TSqlitePassSQLSections.html#GetSectionText^^    ^0"
s[604] = "SqlitePassDbo.TSqlitePassSQLSections.GetSQLStmtFromSections^SqlitePassDbo.TSqlitePassSQLSections.html#GetSQLStmtFromSections^^    ^0"
s[605] = "SqlitePassDbo.TSqlitePassSQLSections.ClearSectionText^SqlitePassDbo.TSqlitePassSQLSections.html#ClearSectionText^^    ^0"
s[606] = "SqlitePassDbo.TSqlitePassSQLSections.ReplaceSectionText^SqlitePassDbo.TSqlitePassSQLSections.html#ReplaceSectionText^^    ^0"
s[607] = "SqlitePassDbo.TSqlitePassSQLSections.ReplaceSectionTextFromSQLSections^SqlitePassDbo.TSqlitePassSQLSections.html#ReplaceSectionTextFromSQLSections^Replace a given SQLSection Text by the one in the SQLSections Parameter if no SectionName is set, all the Strings are copied^    ^0"
s[608] = "SqlitePassDbo.TSqlitePassSQLSections.SetSectionText^SqlitePassDbo.TSqlitePassSQLSections.html#SetSectionText^^    ^0"
s[609] = "SqlitePassDbo.TSqlitePassSQLSections.SetSectionTextFromTokenizer^SqlitePassDbo.TSqlitePassSQLSections.html#SetSectionTextFromTokenizer^^    ^0"
s[610] = "SqlitePassDbo.TSqlitePassSQLSections.SplitSQLStmtIntoSections^SqlitePassDbo.TSqlitePassSQLSections.html#SplitSQLStmtIntoSections^^    ^0"
s[611] = "SqlitePassDbo.TSqlitePassSQLStmt^SqlitePassDbo.TSqlitePassSQLStmt.html^^ ^0"
s[612] = "SqlitePassDbo.TSqlitePassSQLStmt.Create^SqlitePassDbo.TSqlitePassSQLStmt.html#Create^^    ^0"
s[613] = "SqlitePassDbo.TSqlitePassSQLStmt.Destroy^SqlitePassDbo.TSqlitePassSQLStmt.html#Destroy^^    ^0"
s[614] = "SqlitePassDbo.TSqlitePassSQLStmt.Prepare^SqlitePassDbo.TSqlitePassSQLStmt.html#Prepare^^    ^0"
s[615] = "SqlitePassDbo.TSqlitePassSQLStmt.QuoteString^SqlitePassDbo.TSqlitePassSQLStmt.html#QuoteString^^    ^0"
s[616] = "SqlitePassDbo.TSqlitePassSQLStmt.RestoreOriginalStmt^SqlitePassDbo.TSqlitePassSQLStmt.html#RestoreOriginalStmt^^    ^0"
s[617] = "SqlitePassDbo.TSqlitePassSQLStmt.UnPrepare^SqlitePassDbo.TSqlitePassSQLStmt.html#UnPrepare^^    ^0"
s[618] = "SqlitePassDbo.TSqlitePassSQLStmt.UnquoteString^SqlitePassDbo.TSqlitePassSQLStmt.html#UnquoteString^^    ^0"
s[619] = "SqlitePassDbo.TSqlitePassSQLStmt.AvailableOperations^SqlitePassDbo.TSqlitePassSQLStmt.html#AvailableOperations^Properties^ ^0"
s[620] = "SqlitePassDbo.TSqlitePassSQLStmt.OriginalSQL^SqlitePassDbo.TSqlitePassSQLStmt.html#OriginalSQL^^ ^0"
s[621] = "SqlitePassDbo.TSqlitePassSQLStmt.OriginalSQLSections^SqlitePassDbo.TSqlitePassSQLStmt.html#OriginalSQLSections^^ ^0"
s[622] = "SqlitePassDbo.TSqlitePassSQLStmt.SQL^SqlitePassDbo.TSqlitePassSQLStmt.html#SQL^^ ^0"
s[623] = "SqlitePassDbo.TSqlitePassSQLStmt.SQLSections^SqlitePassDbo.TSqlitePassSQLStmt.html#SQLSections^^ ^0"
s[624] = "SqlitePassDbo.TSqlitePassSQLStmt.SQLType^SqlitePassDbo.TSqlitePassSQLStmt.html#SQLType^^ ^0"
s[625] = "SqlitePassDbo.TSqlitePassSQLStmt.StmtHandle^SqlitePassDbo.TSqlitePassSQLStmt.html#StmtHandle^^ ^0"
s[626] = "SqlitePassDbo.TSqlitePassSQLStmt.StmtName^SqlitePassDbo.TSqlitePassSQLStmt.html#StmtName^^ ^0"
s[627] = "SqlitePassDbo.TSqlitePassSQLStmt.Tokenizer^SqlitePassDbo.TSqlitePassSQLStmt.html#Tokenizer^^ ^0"
s[628] = "SqlitePassDbo.TSqlitePassSQLStmtDef^SqlitePassDbo.TSqlitePassSQLStmtDef.html^^ ^0"
s[629] = "SqlitePassDbo.TSqlitePassSQLStmtDef.Create^SqlitePassDbo.TSqlitePassSQLStmtDef.html#Create^^    ^0"
s[630] = "SqlitePassDbo.TSqlitePassSQLStmtDef.Destroy^SqlitePassDbo.TSqlitePassSQLStmtDef.html#Destroy^^    ^0"
s[631] = "SqlitePassDbo.TSqlitePassSQLStmtDef.Assign^SqlitePassDbo.TSqlitePassSQLStmtDef.html#Assign^^    ^0"
s[632] = "SqlitePassDbo.TSqlitePassSQLStmtDef.DeleteSQLStmt^SqlitePassDbo.TSqlitePassSQLStmtDef.html#DeleteSQLStmt^^    ^0"
s[633] = "SqlitePassDbo.TSqlitePassSQLStmtDef.Attached^SqlitePassDbo.TSqlitePassSQLStmtDef.html#Attached^Properties^ ^0"
s[634] = "SqlitePassDbo.TSqlitePassSQLStmtDef.SQL^SqlitePassDbo.TSqlitePassSQLStmtDef.html#SQL^^ ^0"
s[635] = "SqlitePassDbo.TSqlitePassSQLStmtDef.SQLStmtFullName^SqlitePassDbo.TSqlitePassSQLStmtDef.html#SQLStmtFullName^^ ^0"
s[636] = "SqlitePassDbo.TSqlitePassSQLStmtDef.SQLStmtName^SqlitePassDbo.TSqlitePassSQLStmtDef.html#SQLStmtName^^ ^0"
s[637] = "SqlitePassDbo.TSqlitePassSQLStmtDef.SQLType^SqlitePassDbo.TSqlitePassSQLStmtDef.html#SQLType^^ ^0"
s[638] = "SqlitePassDbo.TSqlitePassSQLStmtDefs^SqlitePassDbo.TSqlitePassSQLStmtDefs.html^SQL statements collection^ ^0"
s[639] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.Create^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#Create^^    ^0"
s[640] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.Destroy^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#Destroy^^    ^0"
s[641] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.FindSQLStmt^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#FindSQLStmt^^    ^0"
s[642] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.SQLStmtByName^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#SQLStmtByName^^    ^0"
s[643] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.AddSQLStmts^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#AddSQLStmts^^    ^0"
s[644] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.Assign^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#Assign^^    ^0"
s[645] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.CreateSQLStmt^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#CreateSQLStmt^^    ^0"
s[646] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.DeleteSQLStmt^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#DeleteSQLStmt^^    ^0"
s[647] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.Refresh^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#Refresh^^    ^0"
s[648] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.RenameSQLStmt^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#RenameSQLStmt^^    ^0"
s[649] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.Count^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#Count^^ ^0"
s[650] = "SqlitePassDbo.TSqlitePassSQLStmtDefs.Items^SqlitePassDbo.TSqlitePassSQLStmtDefs.html#Items^^ ^0"
s[651] = "SqlitePassDbo.TSqlitePassSQLToken^SqlitePassDbo.TSqlitePassSQLToken.html^^ ^0"
s[652] = "SqlitePassDbo.TSqlitePassSQLToken.MatchingPair^SqlitePassDbo.TSqlitePassSQLToken.html#MatchingPair^the matching token index for example, an '(' token should have a ')' token.^ ^0"
s[653] = "SqlitePassDbo.TSqlitePassSQLToken.NestingLevel^SqlitePassDbo.TSqlitePassSQLToken.html#NestingLevel^<code>NestingLevel</code>^ ^0"
s[654] = "SqlitePassDbo.TSqlitePassSQLToken.Text^SqlitePassDbo.TSqlitePassSQLToken.html#Text^the SQL statement^ ^0"
s[655] = "SqlitePassDbo.TSqlitePassSQLToken.TokenType^SqlitePassDbo.TSqlitePassSQLToken.html#TokenType^the token type^ ^0"
s[656] = "SqlitePassDbo.TSqlitePassSQLToken.Create^SqlitePassDbo.TSqlitePassSQLToken.html#Create^^    ^0"
s[657] = "SqlitePassDbo.TSqlitePassSQLTokenizer^SqlitePassDbo.TSqlitePassSQLTokenizer.html^The TSqlitePassTokenizer is an utility object used to : Split a SQL statement or a piece of SQL statement into a list of tokens (<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLToken.html\">TSqlitePassSQLToken</a>)    <p>Move to the <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#First\">First</a>, <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Prior\">Prior</a>, <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Next\">Next</a>, <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Last\">Last</a> <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">Token</a> <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Locate\">Locate</a> a specific <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">token</a> by <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Text\">text</a> or type <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Replace\">Replace</a> a specific <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">token</a> located before an existing <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">token</a> <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Remove\">Remove</a> a specific <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">token</a> located after an existing <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">token</a> Insert a new <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">token</a> before an existing <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">token</a> Insert a new <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">token</a> after an existing <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token\">token</a> Set the string to be tokenized and rebuild a string representation from the tokens (<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSQLTokenizer.html#Text\">Text</a> property)...^ ^0"
s[658] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Create^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Create^^    ^0"
s[659] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Destroy^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Destroy^^    ^0"
s[660] = "SqlitePassDbo.TSqlitePassSQLTokenizer.First^SqlitePassDbo.TSqlitePassSQLTokenizer.html#First^^    ^0"
s[661] = "SqlitePassDbo.TSqlitePassSQLTokenizer.GetTextAfter^SqlitePassDbo.TSqlitePassSQLTokenizer.html#GetTextAfter^^    ^0"
s[662] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Last^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Last^^    ^0"
s[663] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Locate^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Locate^^    ^0"
s[664] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Locate^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Locate^^    ^0"
s[665] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Next^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Next^^    ^0"
s[666] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Next^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Next^^    ^0"
s[667] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Prior^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Prior^^    ^0"
s[668] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Prior^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Prior^^    ^0"
s[669] = "SqlitePassDbo.TSqlitePassSQLTokenizer.InsertAfter^SqlitePassDbo.TSqlitePassSQLTokenizer.html#InsertAfter^^    ^0"
s[670] = "SqlitePassDbo.TSqlitePassSQLTokenizer.InsertBefore^SqlitePassDbo.TSqlitePassSQLTokenizer.html#InsertBefore^^    ^0"
s[671] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Remove^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Remove^^    ^0"
s[672] = "SqlitePassDbo.TSqlitePassSQLTokenizer.RemoveAfter^SqlitePassDbo.TSqlitePassSQLTokenizer.html#RemoveAfter^^    ^0"
s[673] = "SqlitePassDbo.TSqlitePassSQLTokenizer.RemoveBefore^SqlitePassDbo.TSqlitePassSQLTokenizer.html#RemoveBefore^^    ^0"
s[674] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Replace^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Replace^^    ^0"
s[675] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Tokenize^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Tokenize^^    ^0"
s[676] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Count^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Count^^ ^0"
s[677] = "SqlitePassDbo.TSqlitePassSQLTokenizer.EOF^SqlitePassDbo.TSqlitePassSQLTokenizer.html#EOF^^ ^0"
s[678] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Text^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Text^Sets the original string to be tokenized or builds and returns a string from the tokens^ ^0"
s[679] = "SqlitePassDbo.TSqlitePassSQLTokenizer.Token^SqlitePassDbo.TSqlitePassSQLTokenizer.html#Token^Gives access to the currently selected <code>token</code>^ ^0"
s[680] = "SqlitePassDbo.TSqlitePassSQLTokens^SqlitePassDbo.TSqlitePassSQLTokens.html^^ ^0"
s[681] = "SqlitePassDbo.TSqlitePassSQLTokens.Destroy^SqlitePassDbo.TSqlitePassSQLTokens.html#Destroy^^    ^0"
s[682] = "SqlitePassDbo.TSqlitePassSQLTokens.Count^SqlitePassDbo.TSqlitePassSQLTokens.html#Count^^ ^0"
s[683] = "SqlitePassDbo.TSqlitePassSQLTokens.Items^SqlitePassDbo.TSqlitePassSQLTokens.html#Items^^ ^0"
s[684] = "SqlitePassDbo.TSqlitePassTableDef^SqlitePassDbo.TSqlitePassTableDef.html^^ ^0"
s[685] = "SqlitePassDbo.TSqlitePassTableDef.Create^SqlitePassDbo.TSqlitePassTableDef.html#Create^^    ^0"
s[686] = "SqlitePassDbo.TSqlitePassTableDef.Destroy^SqlitePassDbo.TSqlitePassTableDef.html#Destroy^^    ^0"
s[687] = "SqlitePassDbo.TSqlitePassTableDef.Assign^SqlitePassDbo.TSqlitePassTableDef.html#Assign^^    ^0"
s[688] = "SqlitePassDbo.TSqlitePassTableDef.DeleteTable^SqlitePassDbo.TSqlitePassTableDef.html#DeleteTable^^    ^0"
s[689] = "SqlitePassDbo.TSqlitePassTableDef.Reindex^SqlitePassDbo.TSqlitePassTableDef.html#Reindex^^    ^0"
s[690] = "SqlitePassDbo.TSqlitePassTableDef.RenameAs^SqlitePassDbo.TSqlitePassTableDef.html#RenameAs^^    ^0"
s[691] = "SqlitePassDbo.TSqlitePassTableDef.FieldDefs^SqlitePassDbo.TSqlitePassTableDef.html#FieldDefs^^ ^0"
s[692] = "SqlitePassDbo.TSqlitePassTableDefs^SqlitePassDbo.TSqlitePassTableDefs.html^Property PrimaryKeyField: <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSelectStmtFieldDef.html\">TSqlitePassSelectStmtFieldDef</a> Read FPrimaryKeyField;^ ^0"
s[693] = "SqlitePassDbo.TSqlitePassTableDefs.Create^SqlitePassDbo.TSqlitePassTableDefs.html#Create^^    ^0"
s[694] = "SqlitePassDbo.TSqlitePassTableDefs.Destroy^SqlitePassDbo.TSqlitePassTableDefs.html#Destroy^^    ^0"
s[695] = "SqlitePassDbo.TSqlitePassTableDefs.FindFieldDef^SqlitePassDbo.TSqlitePassTableDefs.html#FindFieldDef^^    ^0"
s[696] = "SqlitePassDbo.TSqlitePassTableDefs.FindFieldTableName^SqlitePassDbo.TSqlitePassTableDefs.html#FindFieldTableName^^    ^0"
s[697] = "SqlitePassDbo.TSqlitePassTableDefs.FindTable^SqlitePassDbo.TSqlitePassTableDefs.html#FindTable^^    ^0"
s[698] = "SqlitePassDbo.TSqlitePassTableDefs.TableByName^SqlitePassDbo.TSqlitePassTableDefs.html#TableByName^^    ^0"
s[699] = "SqlitePassDbo.TSqlitePassTableDefs.AddTableDefs^SqlitePassDbo.TSqlitePassTableDefs.html#AddTableDefs^^    ^0"
s[700] = "SqlitePassDbo.TSqlitePassTableDefs.Assign^SqlitePassDbo.TSqlitePassTableDefs.html#Assign^^    ^0"
s[701] = "SqlitePassDbo.TSqlitePassTableDefs.CreateTable^SqlitePassDbo.TSqlitePassTableDefs.html#CreateTable^^    ^0"
s[702] = "SqlitePassDbo.TSqlitePassTableDefs.DeleteTable^SqlitePassDbo.TSqlitePassTableDefs.html#DeleteTable^^    ^0"
s[703] = "SqlitePassDbo.TSqlitePassTableDefs.EmptyTable^SqlitePassDbo.TSqlitePassTableDefs.html#EmptyTable^^    ^0"
s[704] = "SqlitePassDbo.TSqlitePassTableDefs.Refresh^SqlitePassDbo.TSqlitePassTableDefs.html#Refresh^^    ^0"
s[705] = "SqlitePassDbo.TSqlitePassTableDefs.Count^SqlitePassDbo.TSqlitePassTableDefs.html#Count^^ ^0"
s[706] = "SqlitePassDbo.TSqlitePassTableDefs.Items^SqlitePassDbo.TSqlitePassTableDefs.html#Items^^ ^0"
s[707] = "SqlitePassDbo.TSqlitePassTableFieldDef^SqlitePassDbo.TSqlitePassTableFieldDef.html^^ ^0"
s[708] = "SqlitePassDbo.TSqlitePassTableFieldDef.Create^SqlitePassDbo.TSqlitePassTableFieldDef.html#Create^^    ^0"
s[709] = "SqlitePassDbo.TSqlitePassTableFieldDef.Destroy^SqlitePassDbo.TSqlitePassTableFieldDef.html#Destroy^^    ^0"
s[710] = "SqlitePassDbo.TSqlitePassTableFieldDef.Assign^SqlitePassDbo.TSqlitePassTableFieldDef.html#Assign^^    ^0"
s[711] = "SqlitePassDbo.TSqlitePassTableFieldDef.FieldDefs^SqlitePassDbo.TSqlitePassTableFieldDef.html#FieldDefs^^ ^0"
s[712] = "SqlitePassDbo.TSqlitePassTableFieldDef.FieldFullName^SqlitePassDbo.TSqlitePassTableFieldDef.html#FieldFullName^^ ^0"
s[713] = "SqlitePassDbo.TSqlitePassTableFieldDefs^SqlitePassDbo.TSqlitePassTableFieldDefs.html^^ ^0"
s[714] = "SqlitePassDbo.TSqlitePassTableFieldDefs.Create^SqlitePassDbo.TSqlitePassTableFieldDefs.html#Create^^    ^0"
s[715] = "SqlitePassDbo.TSqlitePassTableFieldDefs.Destroy^SqlitePassDbo.TSqlitePassTableFieldDefs.html#Destroy^^    ^0"
s[716] = "SqlitePassDbo.TSqlitePassTableFieldDefs.FieldDefByName^SqlitePassDbo.TSqlitePassTableFieldDefs.html#FieldDefByName^^    ^0"
s[717] = "SqlitePassDbo.TSqlitePassTableFieldDefs.FindFieldDef^SqlitePassDbo.TSqlitePassTableFieldDefs.html#FindFieldDef^^    ^0"
s[718] = "SqlitePassDbo.TSqlitePassTableFieldDefs.Assign^SqlitePassDbo.TSqlitePassTableFieldDefs.html#Assign^^    ^0"
s[719] = "SqlitePassDbo.TSqlitePassTableFieldDefs.Count^SqlitePassDbo.TSqlitePassTableFieldDefs.html#Count^^ ^0"
s[720] = "SqlitePassDbo.TSqlitePassTableFieldDefs.Items^SqlitePassDbo.TSqlitePassTableFieldDefs.html#Items^^ ^0"
s[721] = "SqlitePassDbo.TSqlitePassTableFieldDefs.TableDef^SqlitePassDbo.TSqlitePassTableFieldDefs.html#TableDef^^ ^0"
s[722] = "SqlitePassDbo.TSqlitePassTransaction^SqlitePassDbo.TSqlitePassTransaction.html^^ ^0"
s[723] = "SqlitePassDbo.TSqlitePassTransaction.Create^SqlitePassDbo.TSqlitePassTransaction.html#Create^^    ^0"
s[724] = "SqlitePassDbo.TSqlitePassTransaction.Destroy^SqlitePassDbo.TSqlitePassTransaction.html#Destroy^^    ^0"
s[725] = "SqlitePassDbo.TSqlitePassTransaction.Commit^SqlitePassDbo.TSqlitePassTransaction.html#Commit^Ends the transaction and write data to the database.^    ^0"
s[726] = "SqlitePassDbo.TSqlitePassTransaction.CommitAll^SqlitePassDbo.TSqlitePassTransaction.html#CommitAll^^    ^0"
s[727] = "SqlitePassDbo.TSqlitePassTransaction.CommitInternalTransaction^SqlitePassDbo.TSqlitePassTransaction.html#CommitInternalTransaction^^    ^0"
s[728] = "SqlitePassDbo.TSqlitePassTransaction.ResetTransactions^SqlitePassDbo.TSqlitePassTransaction.html#ResetTransactions^^    ^0"
s[729] = "SqlitePassDbo.TSqlitePassTransaction.Rollback^SqlitePassDbo.TSqlitePassTransaction.html#Rollback^Ends the transaction and discards any change made to the database.^    ^0"
s[730] = "SqlitePassDbo.TSqlitePassTransaction.RollbackAll^SqlitePassDbo.TSqlitePassTransaction.html#RollbackAll^^    ^0"
s[731] = "SqlitePassDbo.TSqlitePassTransaction.RollbackInternalTransaction^SqlitePassDbo.TSqlitePassTransaction.html#RollbackInternalTransaction^^    ^0"
s[732] = "SqlitePassDbo.TSqlitePassTransaction.Start^SqlitePassDbo.TSqlitePassTransaction.html#Start^Starts a new transaction unless one is already started.^    ^0"
s[733] = "SqlitePassDbo.TSqlitePassTransaction.StartInternalTransaction^SqlitePassDbo.TSqlitePassTransaction.html#StartInternalTransaction^^    ^0"
s[734] = "SqlitePassDbo.TSqlitePassTransaction.Level^SqlitePassDbo.TSqlitePassTransaction.html#Level^^ ^0"
s[735] = "SqlitePassDbo.TSqlitePassTranslator^SqlitePassDbo.TSqlitePassTranslator.html^^ ^0"
s[736] = "SqlitePassDbo.TSqlitePassTranslator.Create^SqlitePassDbo.TSqlitePassTranslator.html#Create^&mdash; Constructor / Destructor &mdash;^    ^0"
s[737] = "SqlitePassDbo.TSqlitePassTranslator.Destroy^SqlitePassDbo.TSqlitePassTranslator.html#Destroy^^    ^0"
s[738] = "SqlitePassDbo.TSqlitePassTranslator_Kexi^SqlitePassDbo.TSqlitePassTranslator_Kexi.html^Specific translator for Kexi databases^ ^0"
s[739] = "SqlitePassDbo.TSqlitePassTranslator_Kexi.GetNativeFieldTypeName^SqlitePassDbo.TSqlitePassTranslator_Kexi.html#GetNativeFieldTypeName^^    ^0"
s[740] = "SqlitePassDbo.TSqlitePassTranslator_Kexi.IsSystemTable^SqlitePassDbo.TSqlitePassTranslator_Kexi.html#IsSystemTable^Utilities^    ^0"
s[741] = "SqlitePassDbo.TSqlitePassTranslator_Kexi.ConvertNativeFieldTypeToPascalFieldType^SqlitePassDbo.TSqlitePassTranslator_Kexi.html#ConvertNativeFieldTypeToPascalFieldType^Field Datatype Conversion^    ^0"
s[742] = "SqlitePassDbo.TSqlitePassTranslator_Kexi.GetDatabaseQueryDefs^SqlitePassDbo.TSqlitePassTranslator_Kexi.html#GetDatabaseQueryDefs^^    ^0"
s[743] = "SqlitePassDbo.TSqlitePassTranslator_Kexi.GetDatabaseTableFieldDefs^SqlitePassDbo.TSqlitePassTranslator_Kexi.html#GetDatabaseTableFieldDefs^Gets information on database parts^    ^0"
s[744] = "SqlitePassDbo.TSqlitePassTranslator_SqliteAdmin^SqlitePassDbo.TSqlitePassTranslator_SqliteAdmin.html^Empty declaration : nothing to override^ ^0"
s[745] = "SqlitePassDbo.TSqlitePassTranslator_SqliteExpert^SqlitePassDbo.TSqlitePassTranslator_SqliteExpert.html^Empty declaration : nothing to override^ ^0"
s[746] = "SqlitePassDbo.TSqlitePassTrigger^SqlitePassDbo.TSqlitePassTrigger.html^Triggers^ ^0"
s[747] = "SqlitePassDbo.TSqlitePassTrigger.Create^SqlitePassDbo.TSqlitePassTrigger.html#Create^^    ^0"
s[748] = "SqlitePassDbo.TSqlitePassTrigger.Destroy^SqlitePassDbo.TSqlitePassTrigger.html#Destroy^^    ^0"
s[749] = "SqlitePassDbo.TSqlitePassTrigger.Assign^SqlitePassDbo.TSqlitePassTrigger.html#Assign^^    ^0"
s[750] = "SqlitePassDbo.TSqlitePassTrigger.DeleteTrigger^SqlitePassDbo.TSqlitePassTrigger.html#DeleteTrigger^^    ^0"
s[751] = "SqlitePassDbo.TSqlitePassTrigger.Attached^SqlitePassDbo.TSqlitePassTrigger.html#Attached^^ ^0"
s[752] = "SqlitePassDbo.TSqlitePassTrigger.Sql^SqlitePassDbo.TSqlitePassTrigger.html#Sql^^ ^0"
s[753] = "SqlitePassDbo.TSqlitePassTrigger.Temporary^SqlitePassDbo.TSqlitePassTrigger.html#Temporary^^ ^0"
s[754] = "SqlitePassDbo.TSqlitePassTrigger.TriggerFullName^SqlitePassDbo.TSqlitePassTrigger.html#TriggerFullName^^ ^0"
s[755] = "SqlitePassDbo.TSqlitePassTrigger.TriggerName^SqlitePassDbo.TSqlitePassTrigger.html#TriggerName^^ ^0"
s[756] = "SqlitePassDbo.TSqlitePassTriggers^SqlitePassDbo.TSqlitePassTriggers.html^^ ^0"
s[757] = "SqlitePassDbo.TSqlitePassTriggers.Create^SqlitePassDbo.TSqlitePassTriggers.html#Create^^    ^0"
s[758] = "SqlitePassDbo.TSqlitePassTriggers.Destroy^SqlitePassDbo.TSqlitePassTriggers.html#Destroy^^    ^0"
s[759] = "SqlitePassDbo.TSqlitePassTriggers.FindTrigger^SqlitePassDbo.TSqlitePassTriggers.html#FindTrigger^^    ^0"
s[760] = "SqlitePassDbo.TSqlitePassTriggers.TriggerByName^SqlitePassDbo.TSqlitePassTriggers.html#TriggerByName^^    ^0"
s[761] = "SqlitePassDbo.TSqlitePassTriggers.AddTriggers^SqlitePassDbo.TSqlitePassTriggers.html#AddTriggers^^    ^0"
s[762] = "SqlitePassDbo.TSqlitePassTriggers.Assign^SqlitePassDbo.TSqlitePassTriggers.html#Assign^^    ^0"
s[763] = "SqlitePassDbo.TSqlitePassTriggers.CreateTrigger^SqlitePassDbo.TSqlitePassTriggers.html#CreateTrigger^^    ^0"
s[764] = "SqlitePassDbo.TSqlitePassTriggers.DeleteTrigger^SqlitePassDbo.TSqlitePassTriggers.html#DeleteTrigger^^    ^0"
s[765] = "SqlitePassDbo.TSqlitePassTriggers.Refresh^SqlitePassDbo.TSqlitePassTriggers.html#Refresh^^    ^0"
s[766] = "SqlitePassDbo.TSqlitePassTriggers.Count^SqlitePassDbo.TSqlitePassTriggers.html#Count^^ ^0"
s[767] = "SqlitePassDbo.TSqlitePassTriggers.Items^SqlitePassDbo.TSqlitePassTriggers.html#Items^^ ^0"
s[768] = "SqlitePassDbo.TSqlitePassView^SqlitePassDbo.TSqlitePassView.html^Views^ ^0"
s[769] = "SqlitePassDbo.TSqlitePassView.Create^SqlitePassDbo.TSqlitePassView.html#Create^^    ^0"
s[770] = "SqlitePassDbo.TSqlitePassView.Destroy^SqlitePassDbo.TSqlitePassView.html#Destroy^^    ^0"
s[771] = "SqlitePassDbo.TSqlitePassView.Assign^SqlitePassDbo.TSqlitePassView.html#Assign^^    ^0"
s[772] = "SqlitePassDbo.TSqlitePassView.DeleteView^SqlitePassDbo.TSqlitePassView.html#DeleteView^^    ^0"
s[773] = "SqlitePassDbo.TSqlitePassView.Attached^SqlitePassDbo.TSqlitePassView.html#Attached^^ ^0"
s[774] = "SqlitePassDbo.TSqlitePassView.SqlCreateStmt^SqlitePassDbo.TSqlitePassView.html#SqlCreateStmt^^ ^0"
s[775] = "SqlitePassDbo.TSqlitePassView.SqlSelectStmt^SqlitePassDbo.TSqlitePassView.html#SqlSelectStmt^^ ^0"
s[776] = "SqlitePassDbo.TSqlitePassView.ViewFullName^SqlitePassDbo.TSqlitePassView.html#ViewFullName^^ ^0"
s[777] = "SqlitePassDbo.TSqlitePassView.ViewName^SqlitePassDbo.TSqlitePassView.html#ViewName^^ ^0"
s[778] = "SqlitePassDbo.TSqlitePassViews^SqlitePassDbo.TSqlitePassViews.html^<code>TSqlitePassViews</code>^ ^0"
s[779] = "SqlitePassDbo.TSqlitePassViews.Create^SqlitePassDbo.TSqlitePassViews.html#Create^^    ^0"
s[780] = "SqlitePassDbo.TSqlitePassViews.Destroy^SqlitePassDbo.TSqlitePassViews.html#Destroy^^    ^0"
s[781] = "SqlitePassDbo.TSqlitePassViews.FindView^SqlitePassDbo.TSqlitePassViews.html#FindView^^    ^0"
s[782] = "SqlitePassDbo.TSqlitePassViews.ViewByName^SqlitePassDbo.TSqlitePassViews.html#ViewByName^^    ^0"
s[783] = "SqlitePassDbo.TSqlitePassViews.AddViews^SqlitePassDbo.TSqlitePassViews.html#AddViews^^    ^0"
s[784] = "SqlitePassDbo.TSqlitePassViews.Assign^SqlitePassDbo.TSqlitePassViews.html#Assign^^    ^0"
s[785] = "SqlitePassDbo.TSqlitePassViews.CreateView^SqlitePassDbo.TSqlitePassViews.html#CreateView^^    ^0"
s[786] = "SqlitePassDbo.TSqlitePassViews.DeleteView^SqlitePassDbo.TSqlitePassViews.html#DeleteView^^    ^0"
s[787] = "SqlitePassDbo.TSqlitePassViews.Refresh^SqlitePassDbo.TSqlitePassViews.html#Refresh^^    ^0"
s[788] = "SqlitePassDbo.TSqlitePassViews.Count^SqlitePassDbo.TSqlitePassViews.html#Count^^ ^0"
s[789] = "SqlitePassDbo.TSqlitePassViews.Items^SqlitePassDbo.TSqlitePassViews.html#Items^^ ^0"
s[790] = "SqlitePassDbo.DefaultSQLiteLibrary^SqlitePassDbo.html#DefaultSQLiteLibrary^^ ^0"
s[791] = "SqlitePassDbo.JulianEpoch^SqlitePassDbo.html#JulianEpoch^^ ^0"
s[792] = "SqlitePassDbo.UnixEpoch^SqlitePassDbo.html#UnixEpoch^^ ^0"
s[793] = "SqlitePassDbo.PByteBool^SqlitePassDbo.html#PByteBool^^ ^0"
s[794] = "SqlitePassDbo.PCardinal^SqlitePassDbo.html#PCardinal^^ ^0"
s[795] = "SqlitePassDbo.PDateTimeRec^SqlitePassDbo.html#PDateTimeRec^^ ^0"
s[796] = "SqlitePassDbo.PPointer^SqlitePassDbo.html#PPointer^^ ^0"
s[797] = "SqlitePassDbo.PSqlitePassExecCallBack^SqlitePassDbo.html#PSqlitePassExecCallBack^^ ^0"
s[798] = "SqlitePassDbo.PWordBool^SqlitePassDbo.html#PWordBool^^ ^0"
s[799] = "SqlitePassDbo.StmtType^SqlitePassDbo.html#StmtType^^  stCreate    stCreateTable    stSelect    stInsert    stUpdate    stDelete    stUnknown   ^0"
s[800] = "SqlitePassDbo.TConnectEvent^SqlitePassDbo.html#TConnectEvent^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html\">TSqlitePassDatabase</a> Events^    ^0"
s[801] = "SqlitePassDbo.TDataTypeConversion^SqlitePassDbo.html#TDataTypeConversion^^    ^0"
s[802] = "SqlitePassDbo.TSqlitePassAutoVacuumType^SqlitePassDbo.html#TSqlitePassAutoVacuumType^^ ^0"
s[803] = "SqlitePassDbo.TSqlitePassAvailableOperations^SqlitePassDbo.html#TSqlitePassAvailableOperations^^ ^0"
s[804] = "SqlitePassDbo.TSqlitePassBooleanStorage^SqlitePassDbo.html#TSqlitePassBooleanStorage^Datatypes detection and conversion^  asInteger    asText   ^0"
s[805] = "SqlitePassDbo.TSqlitePassDatabaseObjectTypes^SqlitePassDbo.html#TSqlitePassDatabaseObjectTypes^^  dboAll    dboTableDefs    dboQueryDefs    dboIndexDefs    dboViews    dboTriggers   ^0"
s[806] = "SqlitePassDbo.TSqlitePassDatabaseState^SqlitePassDbo.html#TSqlitePassDatabaseState^^ ^0"
s[807] = "SqlitePassDbo.TSqlitePassDatabaseType^SqlitePassDbo.html#TSqlitePassDatabaseType^^  dbtSqlitePass    dbtKexi    dbtSqliteAdmin    dbtSqlite4Fpc    dbtSqliteExpert    dbtUnknown   ^0"
s[808] = "SqlitePassDbo.TSqlitePassDatasetExportMethod^SqlitePassDbo.html#TSqlitePassDatasetExportMethod^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDataset.html\">TSqlitePassDataset</a>^  VisibleFields    AllFields   ^0"
s[809] = "SqlitePassDbo.TSqlitePassDatasetExportProgressEvent^SqlitePassDbo.html#TSqlitePassDatasetExportProgressEvent^Events^    ^0"
s[810] = "SqlitePassDbo.TSqlitePassDatasetFilterRecordEvent^SqlitePassDbo.html#TSqlitePassDatasetFilterRecordEvent^^    ^0"
s[811] = "SqlitePassDbo.TSqlitePassDatasetGetFieldDataEvent^SqlitePassDbo.html#TSqlitePassDatasetGetFieldDataEvent^^    ^0"
s[812] = "SqlitePassDbo.TSqlitePassDatasetImportProgressEvent^SqlitePassDbo.html#TSqlitePassDatasetImportProgressEvent^^    ^0"
s[813] = "SqlitePassDbo.TSqlitePassDatasetSetFieldDataEvent^SqlitePassDbo.html#TSqlitePassDatasetSetFieldDataEvent^^    ^0"
s[814] = "SqlitePassDbo.TSqlitePassDatasetType^SqlitePassDbo.html#TSqlitePassDatasetType^^  dtTable    dtQuery    dtView    dtSQLSelect    dtSQLDirect    dtUnknown   ^0"
s[815] = "SqlitePassDbo.TSqlitePassDataTypeDetectionMode^SqlitePassDbo.html#TSqlitePassDataTypeDetectionMode^^  dmTypeName    dmDbSpecific    dmCustom    dmForceStr   ^0"
s[816] = "SqlitePassDbo.TSqlitePassDataTypeMappingMode^SqlitePassDbo.html#TSqlitePassDataTypeMappingMode^^  mmExact    mmExactNoCase    mmPartial    mmPartialNoCase    mmAll   ^0"
s[817] = "SqlitePassDbo.TSqlitePassDataTypeStorageOptions^SqlitePassDbo.html#TSqlitePassDataTypeStorageOptions^^ ^0"
s[818] = "SqlitePassDbo.TSqlitePassDateStorage^SqlitePassDbo.html#TSqlitePassDateStorage^^ ^0"
s[819] = "SqlitePassDbo.TSqlitePassDateTimeStorage^SqlitePassDbo.html#TSqlitePassDateTimeStorage^^  dtsDateTime    dtsJulian    dtsText    dtsUnix    dtsMac   ^0"
s[820] = "SqlitePassDbo.TSqlitePassEncoding^SqlitePassDbo.html#TSqlitePassEncoding^^  UTF_8    UTF_16    UTF_16le    UTF_16be   ^0"
s[821] = "SqlitePassDbo.TSqlitePassExecCallBack^SqlitePassDbo.html#TSqlitePassExecCallBack^^    ^0"
s[822] = "SqlitePassDbo.TSqlitePassGetPragmaCallback^SqlitePassDbo.html#TSqlitePassGetPragmaCallback^^    ^0"
s[823] = "SqlitePassDbo.TSqlitePassIndexDirection^SqlitePassDbo.html#TSqlitePassIndexDirection^Indexes management^  cidAscending    cidDescending    cidUnknown   ^0"
s[824] = "SqlitePassDbo.TSqlitePassPageSize^SqlitePassDbo.html#TSqlitePassPageSize^^ ^0"
s[825] = "SqlitePassDbo.TSqlitePassPostType^SqlitePassDbo.html#TSqlitePassPostType^^  ptInsert    ptUpdate    ptDelete   ^0"
s[826] = "SqlitePassDbo.TSqlitePassQuoteStyle^SqlitePassDbo.html#TSqlitePassQuoteStyle^^  qsSingleQuote    qsDoubleQuote    qsBracket    qsNone   ^0"
s[827] = "SqlitePassDbo.TSqlitePassRecordsCacheCapacity^SqlitePassDbo.html#TSqlitePassRecordsCacheCapacity^^ ^0"
s[828] = "SqlitePassDbo.TSqlitePassRecordState^SqlitePassDbo.html#TSqlitePassRecordState^^  rsUnModified    rsModified    rsInserted    rsDeleted   ^0"
s[829] = "SqlitePassDbo.TSqlitePassSortMode^SqlitePassDbo.html#TSqlitePassSortMode^^  smQuickSort    smSQL   ^0"
s[830] = "SqlitePassDbo.TSqlitePassSQLChanges^SqlitePassDbo.html#TSqlitePassSQLChanges^^ ^0"
s[831] = "SqlitePassDbo.TSqlitePassSQLTokenizerOptions^SqlitePassDbo.html#TSqlitePassSQLTokenizerOptions^tkFloat, tkInteger, tkHexDecimal, tkNumber, tkSymbol^ ^0"
s[832] = "SqlitePassDbo.TSqlitePassSQLTokenType^SqlitePassDbo.html#TSqlitePassSQLTokenType^^  ttKeyword    ttIdentifier    ttDatabaseIdentifier    ttTableIdentifier    ttFieldIdentifier    ttFunctionIdentifier    ttStar    ttNumber    ttQuote    ttWhitespace    ttComment    ttColon    ttSemiColon    ttEqual    ttNotEqual    ttGreater    ttGreaterOrEqual    ttLesser    ttLesserOrEqual    ttEOF    ttUnknown   ^0"
s[833] = "SqlitePassDbo.TSqlitePassSynchronous^SqlitePassDbo.html#TSqlitePassSynchronous^PRAGMA auto_vacuum = 0 | none | 1 | full | 2 | incremental^  Off    Normal    Full   ^0"
s[834] = "SqlitePassDbo.TSqlitePassTempStore^SqlitePassDbo.html#TSqlitePassTempStore^^  Default    ToFile    ToMemory   ^0"
s[835] = "SqlitePassDbo.TSqlitePassTimeStorage^SqlitePassDbo.html#TSqlitePassTimeStorage^^ ^0"
s[836] = "SqlitePassDbo.TSqlitePassVerboseLevel^SqlitePassDbo.html#TSqlitePassVerboseLevel^^ ^0"
s[837] = "SqlitePassDbo.TSqlitePassWriteMode^SqlitePassDbo.html#TSqlitePassWriteMode^^  wmDirect    wmPostponed   ^0"
s[838] = "SqlitePassErrorLang^SqlitePassErrorLang.html^This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.^    <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.    <p>You should have received a copy of the GNU Lesser General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;    <p>Messages localisation unit Author : Luc DAVID Email: luckylazarus@free.fr 2006-2009    <p>Major changes are indicated in the \\Documentation\\changes.pdf file Last update : 05.01.2009    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash; ^0"
s[839] = "SqlitePassErrorLang.CRLF^SqlitePassErrorLang.html#CRLF^******************************************************* DatabaseError Messages^ ^0"
s[840] = "SqlitePassErrorLang.Msg1000^SqlitePassErrorLang.html#Msg1000^Generic messages^ ^0"
s[841] = "SqlitePassErrorLang.Msg1001^SqlitePassErrorLang.html#Msg1001^^ ^0"
s[842] = "SqlitePassErrorLang.Msg1002^SqlitePassErrorLang.html#Msg1002^^ ^0"
s[843] = "SqlitePassErrorLang.Msg1005^SqlitePassErrorLang.html#Msg1005^SqlitePassDatabase messages^ ^0"
s[844] = "SqlitePassErrorLang.Msg1007^SqlitePassErrorLang.html#Msg1007^^ ^0"
s[845] = "SqlitePassErrorLang.Msg1010^SqlitePassErrorLang.html#Msg1010^^ ^0"
s[846] = "SqlitePassErrorLang.Msg1015^SqlitePassErrorLang.html#Msg1015^^ ^0"
s[847] = "SqlitePassErrorLang.Msg1037^SqlitePassErrorLang.html#Msg1037^^ ^0"
s[848] = "SqlitePassErrorLang.Msg1038^SqlitePassErrorLang.html#Msg1038^^ ^0"
s[849] = "SqlitePassErrorLang.Msg1040^SqlitePassErrorLang.html#Msg1040^^ ^0"
s[850] = "SqlitePassErrorLang.Msg1041^SqlitePassErrorLang.html#Msg1041^^ ^0"
s[851] = "SqlitePassErrorLang.Msg1042^SqlitePassErrorLang.html#Msg1042^^ ^0"
s[852] = "SqlitePassErrorLang.Msg1044^SqlitePassErrorLang.html#Msg1044^^ ^0"
s[853] = "SqlitePassErrorLang.Msg1046^SqlitePassErrorLang.html#Msg1046^^ ^0"
s[854] = "SqlitePassErrorLang.Msg1100^SqlitePassErrorLang.html#Msg1100^^ ^0"
s[855] = "SqlitePassErrorLang.Msg1800^SqlitePassErrorLang.html#Msg1800^SqlitePassDatabasesAttached messages^ ^0"
s[856] = "SqlitePassErrorLang.Msg2002^SqlitePassErrorLang.html#Msg2002^SqlitePassDataset^ ^0"
s[857] = "SqlitePassErrorLang.Msg2003^SqlitePassErrorLang.html#Msg2003^^ ^0"
s[858] = "SqlitePassErrorLang.Msg2011^SqlitePassErrorLang.html#Msg2011^^ ^0"
s[859] = "SqlitePassErrorLang.Msg2012^SqlitePassErrorLang.html#Msg2012^^ ^0"
s[860] = "SqlitePassErrorLang.Msg2015^SqlitePassErrorLang.html#Msg2015^^ ^0"
s[861] = "SqlitePassErrorLang.Msg2016^SqlitePassErrorLang.html#Msg2016^^ ^0"
s[862] = "SqlitePassErrorLang.Msg2018^SqlitePassErrorLang.html#Msg2018^^ ^0"
s[863] = "SqlitePassErrorLang.Msg2019^SqlitePassErrorLang.html#Msg2019^^ ^0"
s[864] = "SqlitePassErrorLang.Msg2020^SqlitePassErrorLang.html#Msg2020^^ ^0"
s[865] = "SqlitePassErrorLang.Msg2021^SqlitePassErrorLang.html#Msg2021^^ ^0"
s[866] = "SqlitePassErrorLang.Msg2022^SqlitePassErrorLang.html#Msg2022^^ ^0"
s[867] = "SqlitePassErrorLang.Msg2024^SqlitePassErrorLang.html#Msg2024^^ ^0"
s[868] = "SqlitePassErrorLang.Msg2025^SqlitePassErrorLang.html#Msg2025^^ ^0"
s[869] = "SqlitePassErrorLang.Msg2026^SqlitePassErrorLang.html#Msg2026^^ ^0"
s[870] = "SqlitePassErrorLang.Msg2027^SqlitePassErrorLang.html#Msg2027^^ ^0"
s[871] = "SqlitePassErrorLang.Msg2028^SqlitePassErrorLang.html#Msg2028^^ ^0"
s[872] = "SqlitePassErrorLang.Msg2029^SqlitePassErrorLang.html#Msg2029^^ ^0"
s[873] = "SqlitePassErrorLang.Msg2030^SqlitePassErrorLang.html#Msg2030^^ ^0"
s[874] = "SqlitePassErrorLang.Msg2032^SqlitePassErrorLang.html#Msg2032^^ ^0"
s[875] = "SqlitePassErrorLang.Msg2033^SqlitePassErrorLang.html#Msg2033^^ ^0"
s[876] = "SqlitePassErrorLang.Msg2070^SqlitePassErrorLang.html#Msg2070^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatasets.html\">TSqlitePassDatasets</a>^ ^0"
s[877] = "SqlitePassErrorLang.Msg3000^SqlitePassErrorLang.html#Msg3000^Sqlite library messages^ ^0"
s[878] = "SqlitePassErrorLang.Msg3001^SqlitePassErrorLang.html#Msg3001^^ ^0"
s[879] = "SqlitePassErrorLang.Msg3010^SqlitePassErrorLang.html#Msg3010^SqlitePassEngine^ ^0"
s[880] = "SqlitePassErrorLang.Msg3011^SqlitePassErrorLang.html#Msg3011^^ ^0"
s[881] = "SqlitePassErrorLang.Msg3012^SqlitePassErrorLang.html#Msg3012^^ ^0"
s[882] = "SqlitePassErrorLang.Msg3013^SqlitePassErrorLang.html#Msg3013^^ ^0"
s[883] = "SqlitePassErrorLang.Msg3014^SqlitePassErrorLang.html#Msg3014^^ ^0"
s[884] = "SqlitePassErrorLang.Msg3100^SqlitePassErrorLang.html#Msg3100^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassTableDefs.html\">TSqlitePassTableDefs</a>^ ^0"
s[885] = "SqlitePassErrorLang.Msg3200^SqlitePassErrorLang.html#Msg3200^TSqlitePassIndexes^ ^0"
s[886] = "SqlitePassErrorLang.Msg3210^SqlitePassErrorLang.html#Msg3210^^ ^0"
s[887] = "SqlitePassErrorLang.Msg3220^SqlitePassErrorLang.html#Msg3220^^ ^0"
s[888] = "SqlitePassErrorLang.Msg3300^SqlitePassErrorLang.html#Msg3300^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassQueryDefs.html\">TSqlitePassQueryDefs</a>^ ^0"
s[889] = "SqlitePassErrorLang.Msg3400^SqlitePassErrorLang.html#Msg3400^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassViews.html\">TSqlitePassViews</a>^ ^0"
s[890] = "SqlitePassErrorLang.Msg3500^SqlitePassErrorLang.html#Msg3500^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassTriggers.html\">TSqlitePassTriggers</a>^ ^0"
s[891] = "SqlitePassErrorLang.Msg3600^SqlitePassErrorLang.html#Msg3600^TSqlitePassFieldDefs^ ^0"
s[892] = "SqlitePassErrorLang.Msg3700^SqlitePassErrorLang.html#Msg3700^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassTableDefs.html\">TSqlitePassTableDefs</a>^ ^0"
s[893] = "SqlitePassErrorLang.Msg3800^SqlitePassErrorLang.html#Msg3800^TSqlitePassStmtSections^ ^0"
s[894] = "SqlitePassErrorLang.Msg3900^SqlitePassErrorLang.html#Msg3900^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassSelectStmt.html\">TSqlitePassSelectStmt</a>^ ^0"
s[895] = "SqlitePassErrorLang.Msg3950^SqlitePassErrorLang.html#Msg3950^TSqlitePassSelectStmts^ ^0"
s[896] = "SqlitePassErrorLang.Msg4000^SqlitePassErrorLang.html#Msg4000^<a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassTranslator_Kexi.html\">TSqlitePassTranslator_Kexi</a>^ ^0"
s[897] = "SqlitePassKexiDef^SqlitePassKexiDef.html^This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.^    <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.    <p>You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;    <p>Basic SQL Parser Author : Luc DAVID Email: luckylazarus@free.fr 2007 - 2008    <p>Major changes are indicated in the \\Documentation\\changes.pdf file Last update : 31.05.2008    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash; ^0"
s[898] = "SqlitePassKexiDef.KexiBlobs_CreateSQLStmt^SqlitePassKexiDef.html#KexiBlobs_CreateSQLStmt^^ ^0"
s[899] = "SqlitePassKexiDef.KexiDb_CreateSQLStmt^SqlitePassKexiDef.html#KexiDb_CreateSQLStmt^SQL Stqtements used to create system tables needed by Kexi (used by <a class=\"normal\"  href=\"SqlitePassDbo.TSqlitePassDatabase.html#CreateDatabase\">TSqlitePassDatabase.CreateDatabase</a>)^ ^0"
s[900] = "SqlitePassKexiDef.KexiFieldConstraints^SqlitePassKexiDef.html#KexiFieldConstraints^NoConstraints = 0, AutoInc = 1, ? Unique = 2, ? PrimaryKey = 4, ? ForeignKey = 8, -&gt; FieldType NotNull = 16, ? NotEmpty = 32, ? //!&lt; only legal for string-like and blob fields Indexed = 64 -&gt; IsIndexField^ ^0"
s[901] = "SqlitePassKexiDef.KexiFields_CreateSQLStmt^SqlitePassKexiDef.html#KexiFields_CreateSQLStmt^^ ^0"
s[902] = "SqlitePassKexiDef.KexiObjectData_CreateSQLStmt^SqlitePassKexiDef.html#KexiObjectData_CreateSQLStmt^^ ^0"
s[903] = "SqlitePassKexiDef.KexiObjects_CreateSQLStmt^SqlitePassKexiDef.html#KexiObjects_CreateSQLStmt^^ ^0"
s[904] = "SqlitePassKexiDef.KexiParts_CreateSQLStmt^SqlitePassKexiDef.html#KexiParts_CreateSQLStmt^^ ^0"
s[905] = "SqlitePassKexiDef.KexiSystemTables^SqlitePassKexiDef.html#KexiSystemTables^Kexi system tables^ ^0"
s[906] = "SqlitePassUtils^SqlitePassUtils.html^This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.^    <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.    <p>You should have received a copy of the GNU Lesser General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;    <p>Messages localisation unit Author : Luc DAVID Email: luckylazarus@free.fr    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;    <p>Utility unit : Uses mostly original code from FCL    <p>- Implement a TObjectList for Delphi 4 - Implement <a class=\"normal\"  href=\"SqlitePassUtils.TSqlitePassBitArray.html\">TSqlitePassBitArray</a> (Bit Array &lt;-&gt; Integer converter)    <p>Last update : 20.03.2008    <p>&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash; ^0"
s[907] = "SqlitePassUtils.TSqlitePassBitArray^SqlitePassUtils.TSqlitePassBitArray.html^Moved to Public section...same^ ^0"
s[908] = "SqlitePassUtils.TSqlitePassBitArray.Create^SqlitePassUtils.TSqlitePassBitArray.html#Create^^    ^0"
s[909] = "SqlitePassUtils.TSqlitePassBitArray.Destroy^SqlitePassUtils.TSqlitePassBitArray.html#Destroy^^    ^0"
s[910] = "SqlitePassUtils.TSqlitePassBitArray.IsTrue^SqlitePassUtils.TSqlitePassBitArray.html#IsTrue^^    ^0"
s[911] = "SqlitePassUtils.TSqlitePassBitArray.SetItemValue^SqlitePassUtils.TSqlitePassBitArray.html#SetItemValue^^    ^0"
s[912] = "SqlitePassUtils.TSqlitePassBitArray.IsZeroBased^SqlitePassUtils.TSqlitePassBitArray.html#IsZeroBased^^ ^0"
s[913] = "SqlitePassUtils.TSqlitePassBitArray.Items^SqlitePassUtils.TSqlitePassBitArray.html#Items^^ ^0"
s[914] = "SqlitePassUtils.TSqlitePassBitArray.Value^SqlitePassUtils.TSqlitePassBitArray.html#Value^^ ^0"
s[915] = "SqlitePassUtils.TSqlitePassList^SqlitePassUtils.TSqlitePassList.html^^ ^0"
s[916] = "SqlitePassUtils.TSqlitePassList.Destroy^SqlitePassUtils.TSqlitePassList.html#Destroy^^    ^0"
s[917] = "SqlitePassUtils.TSqlitePassList.Count^SqlitePassUtils.TSqlitePassList.html#Count^^ ^0"
s[918] = "SqlitePassUtils.TSqlitePassList.Items^SqlitePassUtils.TSqlitePassList.html#Items^^ ^0"
s[919] = "SqlitePassUtils.TSqlitePassObjectList^SqlitePassUtils.TSqlitePassObjectList.html^^ ^0"
s[920] = "SqlitePassUtils.TSqlitePassObjectList.Add^SqlitePassUtils.TSqlitePassObjectList.html#Add^TODO^    ^0"
s[921] = "SqlitePassUtils.TSqlitePassObjectList.Remove^SqlitePassUtils.TSqlitePassObjectList.html#Remove^Moved to Public section to enable access MyIndexDef.Columns.Add(MyIndexColumn; demo program...^    ^0"
s[922] = "SqlitePassUtils.BoolAsString^SqlitePassUtils.html#BoolAsString^^    ^0"
s[923] = "SqlitePassUtils.FieldTypeToString^SqlitePassUtils.html#FieldTypeToString^^    ^0"
s[924] = "SqlitePassUtils.GetExeDir^SqlitePassUtils.html#GetExeDir^^    ^0"
s[925] = "SqlitePassUtils.GetWorkDir^SqlitePassUtils.html#GetWorkDir^^    ^0"
s[926] = "SqlitePassUtils.StringToFieldType^SqlitePassUtils.html#StringToFieldType^^    ^0"
